<?php 
$header_style = orion_get_theme_option_css('navigation_links_color_style', 'nav-dark');

if($header_style == 'nav-dark') {
	$color_3 = orion_get_theme_option_css('color_3', '#1F2A44' );
	$header_bg_color = orion_get_theme_option_css(array('classic_header_background','background-color'), $color_3, 'nav_menu_bg_color_nav_dark');	
} else {
	$header_bg_color = orion_get_theme_option_css(array('classic_header_background','background-color'), '#fff', 'nav_menu_bg_color_nav_light');
}
 
if(orion_isColorLight($header_bg_color)){
	$text_color_class = 'text-dark'; 
} else {
	$text_color_class = 'text-light'; 
}

$search_class = '';
if ( orion_get_theme_option_css('search_icon') ) {
	$search_class = 'has_search';
}

if ( orion_get_option('header_width_classic', false, '0') == 1) {
	$container_class = 'container-fluid';
} else {
	$container_class = 'container';
}
?>

<header class="header-classic site-header mainheader <?php echo esc_attr($header_style);?>  <?php orion_get_option('navigation_style', 'nav-style-1' );?>">
	<div class="site-branding hidden-lg hidden-md">
		<?php orion_get_logo(); ?>
	</div>
	<div class="hidden-lg hidden-md text-center burger-container">
		<div class="to-x">
			<div class="hamburger-box">
				<div class="bun top"></div>
				<div class="meat"></div>
				<div class="bun bottom"></div>
			</div>
		</div>
	</div>	
	<div class="nav-container">
		<div class="<?php echo esc_attr($container_class);?>">
			 <div class="relativewrap row header-set-height">
			 	<div class="site-branding absolute left visible-md visible-lg <?php echo esc_attr($text_color_class); ?>">
			 		<?php orion_get_logo(); ?>
			 	</div>
			 	<div class="site-navigation stickynav <?php echo esc_attr($search_class);?>">
			 		<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'nav-menu float-right', 'container_class' => 'main-nav-wrap text-left clearfix', 'items_wrap' => orion_nav_wrap() ) ); ?>
			 	</div>	 	
			</div>

		</div>
	</div>
	<?php if(is_active_sidebar( 'sidebar-header' ) && orion_get_option('classicheader_widgets_switch', false, '0' == 1)) : ?>
		<div class="widget-section <?php orion_get_option('classicheader_widgets_colorstyle');?>">
			<div class="<?php echo esc_attr($container_class);?>">
				<!-- <div class="row"> -->
					<div class="header-widgets row">
						<?php dynamic_sidebar( 'sidebar-header' ); ?>	
					</div>
				<!-- </div> -->
			</div>	
		</div>
	<?php endif;?>
</header>
