<?php

/*
Widget Name: (OrionThemes) Before and After slider
Description: Compare two images
Author: OrionThemes
Author URI: http://orionthemes.com
*/

class orion_before_after_w extends SiteOrigin_Widget {

	function __construct() {
		parent::__construct(
			'orion_before_after_w',
			__('(OrionThemes) Before & After Slider', 'dentalia'),
			array(
				'description' => __('Horizontal & Vertical Orientation.', 'dentalia'),
				'panels_groups' => array('dentalia'),
				'panels_icon' => 'orion dashicons dashicons-image-flip-horizontal',
			),
			array(

			),
			array(
			    'before_image' => array(
			        'type' => 'media',
			        'label' => __( 'Before image', 'dentalia' ),
			        'choose' => __( 'Choose Before image', 'dentalia' ),
			        'update' => __( 'Set Before image', 'dentalia' ),
			        'library' => 'image',
			        'fallback' => true
			    ),
			    'after_image' => array(
			        'type' => 'media',
			        'label' => __( 'After image', 'dentalia' ),
			        'choose' => __( 'Choose After image', 'dentalia' ),
			        'update' => __( 'Set After image', 'dentalia' ),
			        'library' => 'image',
			        'fallback' => true
			    ),			    
			    'after_visibility' => array(
			        'type' => 'slider',
			        'label' => __( 'After image visibility', 'dentalia' ),
			        'default' => 50,
			        'min' => 1,
			        'max' => 100,
			        'integer' => true,
			    ),
				'orientation' => array(
					'type' => 'select',
					'label' => __( 'Orientation', 'dentalia' ),
					'default' => 'horizontal',
					'options' => array(
						'horizontal' => __( 'Horizontal', 'dentalia' ),
						'vertical' => __( 'Vertical', 'dentalia' ),
					),					
				),
			    'style_section'  => array(
			        'type' => 'section',
			        'label' => __( 'Style' , 'dentalia' ),
			        'hide' => true,
			        'fields' => array(	        	
						'image_overlay' => array(
							'type' => 'select',
							'label' => __( 'Image overlay', 'dentalia' ),
							'default' => 'overlay-none',
							'options' => array(
								'overlay-none' => __( 'None', 'dentalia' ),
								'overlay-black' => __( 'Darken', 'dentalia' ),	
								'overlay-white' => __( 'Lighten', 'dentalia' ),
								'overlay-primary' => __( 'Main theme color', 'dentalia' ),	
								'overlay-secondary' => __( 'Secondary theme color', 'dentalia' ),	
								'overlay-tertiary' => __( 'Tertiary theme color', 'dentalia' ),
								'overlay-greyscale' => __( 'Greyscale', 'dentalia' ),
							),					
						),
						'image_overlay_hover' => array(
							'type' => 'select',
							'label' => __( 'Image overlay on hover', 'dentalia' ),
							'default' => 'overlay-hover-none',
							'options' => array(
								'overlay-hover-none' => __( 'None', 'dentalia' ),
								'overlay-hover-black' => __( 'Darken', 'dentalia' ),	
								'overlay-hover-white' => __( 'Lighten', 'dentalia' ),
								'overlay-hover-primary' => __( 'Main theme color', 'dentalia' ),	
								'overlay-hover-secondary' => __( 'Secondary theme color', 'dentalia' ),	
								'overlay-hover-tertiary' => __( 'Tertiary theme color', 'dentalia' ),
								'overlay-hover-greyscale' => __( 'Greyscale', 'dentalia' ),
							),					
						),							
					),
				),
			),		    				
			plugin_dir_path(__FILE__)
		);
	}

    function get_template_name($instance) {
         return 'orion_before_after_w-template';
    }
	function get_template_dir($instance) {
	    return 'tpl';
	}
    function get_style_name($instance) {
        return '';
    }
}

siteorigin_widget_register('orion_before_after_w', __FILE__, 'orion_before_after_w');