<?php  

// enqueue scripts and styles

wp_enqueue_script( 'jquery-event-move', get_template_directory_uri(). '/libs/twentytwenty/js/jquery.event.move.js', array( 'jquery' ) );
wp_enqueue_script( 'twentytwenty-js', get_template_directory_uri(). '/libs/twentytwenty/js/jquery.twentytwenty.js', array( 'jquery-event-move' ) );
wp_enqueue_style( 'tewntytwenty-css', get_template_directory_uri(). '/libs/twentytwenty/css/twentytwenty.css' );

//prepare variables
	
	$before_image = wp_get_attachment_image_src($instance['before_image'], 'full');
	$after_image = wp_get_attachment_image_src($instance['after_image'], 'full');

	$b_image = $before_image[0];
	$a_image = $after_image[0];	

	$after_visibility = (intval($instance['after_visibility']) / 100);
	$orientation = $instance['orientation'];

	$id = uniqid();

	$image_overlay = $instance['style_section']['image_overlay'];
	$image_hover_overlay = $instance['style_section']['image_overlay_hover'];
	$effect_classes = $image_overlay . ' ' . $image_hover_overlay;

?>
	<div class="twentytwenty-container orion-before-after <?php echo esc_attr($effect_classes);?>" id="<?php echo esc_attr($id);?>">
		<img src="<?php echo esc_url($b_image);?>" alt="before" class="before" />	
		<img src="<?php echo esc_url($a_image);?>" class="after" alt="after" />	
		<div class="overlay"></div>
	</div>

	<script>
	jQuery(window).load(function(){
		jQuery("#<?php echo esc_attr($id);?>").twentytwenty({
			default_offset_pct: <?php echo esc_html($after_visibility);?>, 
			orientation: '<?php echo esc_attr($orientation);?>', 
		});
	});
	</script> 