<?php

/*
Widget Name: (OrionThemes) Button
Description: Add a button
Author: OrionThemes
Author URI: http://orionthemes.com
*/

class orion_button_w extends SiteOrigin_Widget {

	function __construct() {

		parent::__construct(
			'orion_button_w',
			__('(OrionThemes) Button', 'dentalia'),
			array(
				'description' => __('Add a button.', 'dentalia'),
				'panels_groups' => array('dentalia'),
				'panels_icon' => 'orion dashicons dashicons-arrow-right-alt',
			),
			array(

			),
			array(
			    'button' => array(
			        'type' => 'text',
			        'label' => __( 'Button Text', 'dentalia' ),
					'default' => __('Button', 'dentalia'),
			    ),
			    'url' => array(
			        'type' => 'link',
			        'label' => __('Destination URL', 'dentalia'),
			        'default' => __('#', 'dentalia'),
			    ),
			    'new_tab' => array(
			        'type' => 'checkbox',
			        'label' => __( 'Open in a new window', 'dentalia' ),
			        'default' => false,
			    ),
				'icon_section' => array(
			        'type' => 'section',
			        'label' => __( 'Icon' , 'dentalia' ),
			        'hide' => true,
			        'fields' => array(	
					    'icon' => array(
					        'type' => 'icon',
					        'label' => __('Select Icon', 'dentalia'),
					    ),
						'icon_color' => array(
					        'type' => 'color',
					        'label' => __( 'Icon Color', 'dentalia' ),
					        'default' => '',
					    ),					    		    
					    'icon_position' => array(
					        'type' => 'select',
					        'label' => __( 'Icon Position', 'dentalia' ),
					        'default' => '',
					        'options' => array(
					            'icon-left' => __( 'Left', 'dentalia' ),
					            'icon-right' => __( 'Right', 'dentalia' ),
					            'inset-left' => __( 'Inset Left', 'dentalia' ),
					            'inset-right' => __( 'Inset Right', 'dentalia' ),
					        ),
					    ),

					),
				),
				'style_section' => array(
			        'type' => 'section',
			        'label' => __( 'Style & Layout' , 'dentalia' ),
			        'hide' => true,
			        'fields' => array(	
					    'btn_type' => array(
					        'type' => 'select',
					        'label' => __( 'Button Style', 'dentalia' ),
					        'default' => '',
					        'options' => array(
					            'btn-flat' => __( 'Flat', 'dentalia' ),
					            'btn-wire' => __( 'Wire', 'dentalia' ),
					            'btn-empty' => __( 'Empty', 'dentalia' ),
					        ),
					    ),
					    'button_color' => array(
					        'type' => 'select',
					        'label' => __( 'Button Color', 'dentalia' ),
					        'default' => 'btn',
					        'options' => array(
					            'btn' => __( 'Default', 'dentalia' ),
					            'btn btn-c1' => __( 'Main Theme Color', 'dentalia' ),
					            'btn btn-c2' => __( 'Secondary Theme Color', 'dentalia' ),
					            'btn btn-c3' => __( 'Tertiary Theme Color', 'dentalia' ),
					            'btn btn-blue' => __( 'Blue', 'dentalia' ),
					            'btn btn-green' => __( 'Green', 'dentalia' ),
					            'btn btn-pink' => __( 'Pink', 'dentalia' ),
					            'btn btn-orange' => __( 'Orange', 'dentalia' ),
					            'btn btn-black' => __( 'Black', 'dentalia' ),
					            'btn btn-white' => __( 'White', 'dentalia' ),
					        ),
					    ),
					    'btn_size' => array(
					        'type' => 'select',
					        'label' => __( 'Button Size', 'dentalia' ),
					        'default' => 'btn-md',
					        'options' => array(
					        	'btn-xs' => __( 'Tiny', 'dentalia' ),
					            'btn-sm' => __( 'Small', 'dentalia' ),
					            'btn-md' => __('Normal', 'dentalia'),
					            'btn-lg' => __('Large', 'dentalia'),
					        ),
					    ),				    
					    'btn_style' => array(
					        'type' => 'select',
					        'label' => __( 'Rounding', 'dentalia' ),
					        'default' => '',
					        'options' => array(
					            '' => __( 'Slightly Rounded', 'dentalia' ),
					            'btn-round' => __( 'Completely Rounded', 'dentalia' ),
					        ),
					    ),
					    'btn_alignment' => array(
					        'type' => 'select',
					        'label' => __( 'Align', 'dentalia' ),
					        'default' => '',
					        'options' => array(
					            'float-left' => __( 'Left', 'dentalia' ),
					            'float-right' => __( 'Right', 'dentalia' ),
					            'center' => __( 'Center', 'dentalia' ),
					            'block' => __( 'Fullwidth', 'dentalia' ),
					            '' => __( 'None', 'dentalia' ),
					        ),
					    ),
					),
				),
			),
			plugin_dir_path(__FILE__)
		);
	}

    function get_template_name($instance) {
         return 'orion_button_w-template';
    }
	function get_template_dir($instance) {
	    return 'tpl';
	}
    function get_style_name($instance) {
        return '';
    }
}

siteorigin_widget_register('orion_button_w', __FILE__, 'orion_button_w');