<?php

/*
Widget Name: (OrionThemes) Divider
Description: Add a divider
Author: OrionThemes
Author URI: http://orionthemes.com
*/

class orion_dividers_w extends SiteOrigin_Widget {

	function __construct() {
		parent::__construct(
			'orion_dividers_w',
			__('(OrionThemes) Divider', 'dentalia'),
			array(
				'description' => __('Add divider.', 'dentalia'),
				'panels_groups' => array('dentalia'),
				'panels_icon' => 'orion dashicons dashicons-minus',
			),
			array(

			),
			array(
				'divider_color' => array(
			        'type' => 'color',
			        'label' => __( 'Divider color', 'dentalia' ),
			        'default' => '#f2f2f2'
			    ),				
			    'divider_style' => array(
			        'type' => 'select',
			        'label' => __( 'Divider style', 'dentalia' ),
			        'default' => '',
			        'options' => array(
			            'solid' => __( 'Solid', 'dentalia' ),
			            'dashed' => __( 'Dashed', 'dentalia' ),
			            'dotted' => __( 'Dotted', 'dentalia' ),
			            'double' => __( 'Double', 'dentalia' ),
			        ),
			    ),
			    'width' => array(
			        'type' => 'slider',
			        'label' => __( 'Divider width in %', 'dentalia' ),
			        'default' => 100,
			        'min' => 1,
			        'max' => 100,
			        'integer' => true,
			    ),			    
			    'height' => array(
			        'type' => 'number',
			        'label' => __( 'Height in px', 'dentalia' ),
			        'default' => '2'
			    ),
			    'margin_top' => array(
			        'type' => 'number',
			        'label' => __( 'Top margin in px', 'dentalia' ),
			        'default' => ''
			    ),
			    'margin_bottom' => array(
			        'type' => 'number',
			        'label' => __( 'Bottom margin in px', 'dentalia' ),
			        'default' => ''
			    ),
			),		    				
			plugin_dir_path(__FILE__)
		);
	}

    function get_template_name($instance) {
         return 'orion_dividers_w-template';
    }
	function get_template_dir($instance) {
	    return 'tpl';
	}
    function get_style_name($instance) {
        return '';
    }
}

siteorigin_widget_register('orion_dividers_w', __FILE__, 'orion_dividers_w');