<?php
 
/*
Widget Name: (OrionThemes) Features
Description: Displays features
Author: OrionThemes
Author URI: http://orionthemes.com
*/

class orion_features_w extends SiteOrigin_Widget {

	function __construct() {
		$main_theme_color = orion_get_theme_option_css('main_theme_color', '#00BCD4' );
		parent::__construct(
			'orion_features_w',
			__('(OrionThemes) Features', 'dentalia'),
			array(
				'description' => __('Displays animated features in a grid.', 'dentalia'),
				'panels_groups' => array('dentalia'),
				'panels_icon' => 'orion dashicons dashicons-star-filled',
			),
			array(

			),
			array(
	    
				'icon_repeater' => array(
			        'type' => 'repeater',
			        'label' => __( 'Add Feature' , 'dentalia' ),
			        'item_name'  => __( 'Click to edit', 'dentalia' ),
			        'item_label' => array(
			            'selector'     => "[id*='icon_title']",
			            'update_event' => 'change',
			            'value_method' => 'val'
			        ),
		        	'fields' => array(
						'the_icon' => array(
						    'type' => 'icon',
						    'label' => __('Icon', 'dentalia'),
						),			        		
					    'icon_title' => array(
					        'type' => 'text',
					        'label' => __('Title', 'dentalia'),
					        'default' => ''
					    ),
				    
						'description' => array(
					        'type' => 'textarea',
					        'label' => __( 'Description', 'dentalia' ),
					        'rows' => 4
					    ),
					    'read_more' => array(
					        'type' => 'text',
					        'label' => __('Button Text', 'dentalia'),
					        'default' => 'Read more',
					    ),					    
					    'url' => array(
					        'type' => 'link',
					        'label' => __('Destination URL', 'dentalia'),
					        'default' => __('#', 'dentalia'),
					    ),					    
						'style' => array(
					        'type' => 'section',
					        'label' => __( 'Element Style' , 'dentalia' ),
					        'hide' => true,
					        'fields' => array(
								'icon_color' => array(
							        'type' => 'color',
							        'label' => __( 'Icon color', 'dentalia' ),
							        'default' => $main_theme_color,
							    ),
							    'bg_image' => array(
							        'type' => 'media',
							        'label' => __( 'Background image', 'dentalia'  ),
							        'choose' => __( 'Choose image', 'dentalia' ),
							        'update' => __( 'Upload image', 'dentalia' ),
							        'fallback' => true
							    ),					    		
								'bg_color' => array(
							        'type' => 'color',
							        'label' => __( 'Background Color Overlay', 'dentalia' ),
							        'default' => 'transparent',
							    ),
							    'bg_opacy' => array(
							        'type' => 'slider',
							        'label' => __( 'Overlay opacity', 'dentalia' ),
							        'description' => __('Values from 0 (transparent) to 100 (no opacity)', 'dentalia'),
							        'default' => 100,
							        'min' => 0,
							        'max' => 100,
							        'integer' => true
							    ),
							    'button_color' => array(
							        'type' => 'select',
							        'label' => __( 'Button Color', 'dentalia' ),
							        'default' => 'btn',
							        'options' => array(
							            'btn' => __( 'Default', 'dentalia' ),
							            'btn btn-c1' => __( 'Main Theme Color', 'dentalia' ),
							            'btn btn-c2' => __( 'Secondary Theme Color', 'dentalia' ),
							            'btn btn-c3' => __( 'Tertiary Theme Color', 'dentalia' ),
							            'btn btn-blue' => __( 'Blue', 'dentalia' ),
							            'btn btn-green' => __( 'Green', 'dentalia' ),
							            'btn btn-pink' => __( 'Pink', 'dentalia' ),
							            'btn btn-orange' => __( 'Orange', 'dentalia' ),
							            'btn btn-black' => __( 'Black', 'dentalia' ),
							            'btn btn-white' => __( 'White', 'dentalia' ),
							        ),
							    ),								    
							    'title_hover_color' => array(
							        'type' => 'select',
							        'label' => __( 'Title Hover Color', 'dentalia' ),
							        'default' => 'primary-hover',
							        'options' => array(
							            'primary-hover' => __( 'Main Theme Color', 'dentalia' ),
							            'secondary-hover' => __( 'Secondary Theme Color', 'dentalia' ),
							            'tertiary-hover' => __( 'Tertiary Theme Color', 'dentalia' ),
							            'blue-hover' => __( 'Blue', 'dentalia' ),
							            'green-hover' => __( 'Green', 'dentalia' ),
							            'pink-hover' => __( 'Pink', 'dentalia' ),
							            'orange-hover' => __( 'Orange', 'dentalia' ),
							            'black-hover' => __( 'Black', 'dentalia' ),
							            'white-hover' => __( 'White', 'dentalia' ),
							        ),
							    ),							    
							),
						),
					),
		        ),

				'option_section' => array(
			        'type' => 'section',
			        'label' => __( 'Style & layout' , 'dentalia' ),
			        'hide' => true,
			        'fields' => array(
				        'per_row' => array(
							'type' => 'select',
							'label' => __('Elements per row', 'dentalia'),	
						    'options' => array(
								'1'	=> '1',
						    	'2'	=> '2',
					            '3'	=> '3',
					            '4'	=> '4',
				       		),
						    'default' => 3,		
				       	),
				        'icon_size' => array(
							'type' => 'select',
							'label' => __('Icon size', 'dentalia'),	
							'default' => 'normal',
							'options' => array(
								'normal' => __( 'Normal', 'dentalia' ),
								'large' => __( 'Large', 'dentalia' ),
							),
				       	),				       	
					    'feature_height' => array(
					        'type' => 'number',
					        'label' => __( 'Height in pixels', 'dentalia' ),
					        'default' => 336,
					    ),	
				        'text_style' => array(
							'type' => 'select',
							'label' => __('Text color', 'dentalia'),	
							'default' => 'text-default',
							'options' => array(
								'text-default' => __( 'Default', 'dentalia' ),
								'text-light' => __( 'Light', 'dentalia' ),
								'text-dark' => __( 'Dark', 'dentalia' ),
							)		
				       	),
						'always_open' => array(
					        'type' => 'checkbox',
					        'label' => __( 'Always show description?', 'dentalia' ),
					        'default' => false
					    ),
						'add_borders' => array(
					        'type' => 'checkbox',
					        'label' => __( 'Add borders', 'dentalia' ),
					        'default' => false
					    ),
						'border_color' => array(
					        'type' => 'color',
					        'label' => __( 'Border color', 'dentalia' ),
					        'default' => ''
					    ),						    
						'option_button' => array(
					        'type' => 'section',
					        'label' => __( 'Button' , 'dentalia' ),
					        'hide' => true,
					        'fields' => array(
							    'btn_type' => array(
							        'type' => 'select',
							        'label' => __( 'Button Style', 'dentalia' ),
							        'default' => '',
							        'options' => array(
							            'btn-flat' => __( 'Flat', 'dentalia' ),
							            'btn-wire' => __( 'Wire', 'dentalia' ),
							            'btn-empty' => __( 'Empty', 'dentalia' ),
							        ),
							    ),
							    'btn_size' => array(
							        'type' => 'select',
							        'label' => __( 'Button Size', 'dentalia' ),
							        'default' => 'btn-sm',
							        'options' => array(
							        	'btn-xs' => __( 'Tiny', 'dentalia' ),
							            'btn-sm' => __( 'Small', 'dentalia' ),
							            'btn-md' => __('Normal', 'dentalia'),
							            'btn-lg' => __('Large', 'dentalia'),
							        ),
							    ),
							    'btn_style' => array(
							        'type' => 'select',
							        'label' => __( 'Rounding', 'dentalia' ),
							        'default' => '',
							        'options' => array(
							            '' => __( 'Slightly rounded', 'dentalia' ),
							            'btn-round' => __( 'Completely Rounded', 'dentalia' ),
							        ),
							    ),							    
					        ),
					    ),					    
			        ),
			    ),			    

			),
			plugin_dir_path(__FILE__)
		);
	}

    function get_template_name($instance) {
         return 'orion_features_w-template';
    }
	function get_template_dir($instance) {
	    return 'tpl';
	}
    function get_style_name($instance) {
        return '';
    }
}

siteorigin_widget_register('orion_features_w', __FILE__, 'orion_features_w');