<?php  //prepare variables
	$column_class = 'col-lg-'.(12 / $instance['per_row']);
	$style = $instance['style'];
	$icon_style = $instance['icon_style'];
	$counter = 0;
	foreach ($instance['icon_repeater'] as $feature) {
		$counter++;
	}
	if ($counter == 1 || $instance['per_row'] == 1) {
		$column_class .= ' col-sm-12';
	} else {
		$column_class .= ' col-sm-6';
	} 

	switch ($instance['text_style']) {
	    case "text-light":
	    	$text_color = 'text-light';
	    	break;
		case "text-dark":
			$text_color = 'text-dark';
			break;
		default:	
			$text_color = '';
			break;
	}
	 
	$bottom_margin = $instance['bottom_margin'];
?>

<div class="row icon-box-items-wrap grid <?php echo esc_attr($style);?>">

	<?php foreach ($instance['icon_repeater'] as $icon_text) :?>

		<?php 
		$the_icon = $icon_text['the_icon'];
		$description = $icon_text['description'];
			
		$icon_link = $icon_text['icon_link'];
		if (preg_match('#^post#', $icon_link) === 1) {
			preg_match_all('!\d+!', $icon_link, $post_id);
			$post_url = get_permalink($post_id[0][0]);
			$icon_link = $post_url;
		}
		$icon_color = $icon_text['icon_color'];
		$icon_bg_color = $icon_text['icon_bg_color'];
		$icon_styles = array();
		$icon_styles[] = 'color: '. $icon_color;
		
		if ($icon_style != 'simple') {

			$icon_styles[] = 'background-color: '. $icon_bg_color;
		};
		?>

		<?php if($icon_link != '') {
			$icon_title = '<a href="' . esc_url($icon_link) . '" title="' . esc_html($icon_text['icon_title']) . '><h4 class="item-title">' . $icon_text['icon_title'].'</h4></a>';		
		} else {
			$icon_title = '<h4 class="item-title">' . $icon_text['icon_title'] . '</h4>';
		}
		
		$icon_title_kses = array(
		    'a' => array(
		        'href' => array(),
		        'title' => array(),
		        'h4' => array(),
		    ),
		    'h4' => array(
		    	'class' => array(),
		    	),
		);		

		$position_html_class = 'relative';
		if($style == 'short') {
			$position_html_class = 'absolute';
		}
		?>
		
		<div class="icon-box-wrap clearfix <?php echo esc_attr($column_class);?> <?php echo esc_attr($text_color);?>" style="margin-bottom:<?php echo esc_attr($bottom_margin);?>px;">		

			<?php if ($style != 'icon-top' ) {
				echo wp_kses($icon_title, $icon_title_kses); 
			};?>

			<?php if($icon_link != '') : ?>
			<a href="<?php echo esc_url($icon_link); ?>" class="icon-wrap <?php echo esc_attr($position_html_class);?> <?php echo esc_attr($icon_style);?>">
				<?php echo siteorigin_widget_get_icon( $the_icon, $icon_styles); ?>
			</a>				
			<?php else : ?>	
			<div class="icon-wrap <?php echo esc_attr($position_html_class);?> <?php echo esc_attr($icon_style);?>">
				<?php echo siteorigin_widget_get_icon( $the_icon, $icon_styles); ?>
			</div>
			<?php endif;?>

			<?php if ($style == 'icon-top' ) {
				echo wp_kses($icon_title, $icon_title_kses); 
			};?>			

			<span class="description"><?php echo wp_kses_post($description);?></span>

		</div>
	<?php endforeach;?>

</div>