<?php

/*
Widget Name: (OrionThemes) Image
Description: Add an image
Author: OrionThemes
Author URI: http://orionthemes.com
*/

class orion_image_w extends SiteOrigin_Widget {

	function __construct() {

		parent::__construct(
			'orion_image_w',
			__('(OrionThemes) Image', 'dentalia'),
			array(
				'description' => __('Add an image.', 'dentalia'),
				'panels_groups' => array('dentalia'),
				'panels_icon' => 'orion dashicons dashicons-format-image',
			),
			array(

			),
			array(
				'image' => array (
					'type' => 'media',
					'label' => __( 'Add image', 'dentalia' ),
					'library' => 'image',
					'fallback' => false,
				),				
			    'hovertext' => array(
			        'type' => 'textarea',
			        'label' => __( 'Hover description Text', 'dentalia' ),
					'default' => __('', 'dentalia'),
			    ),
			    'url' => array(
			        'type' => 'link',
			        'label' => __('Destination URL', 'dentalia'),
			        'default' => __('', 'dentalia'),
			    ),
				'onclick' => array(
					'type' => 'select',
					'label' => __( 'On click', 'dentalia' ),
					'default' => 'link',
					'options' => array(
						'link' => __( 'Open a link', 'dentalia' ),
						'lightbox' => __( 'Open image in lightbox', 'dentalia' ),
						'nothing' => __( 'Do nothing', 'dentalia' ),
					),
				),			    
				'style_section' => array(
			        'type' => 'section',
			        'label' => __( 'Style & Layout' , 'dentalia' ),
			        'hide' => true,
			        'fields' => array(
						'image_style' => array(
							'type' => 'select',
							'label' => __( 'Image style', 'dentalia' ),
							'default' => 'orion_carousel',
							'options' => array(
								'orion_portrait' => __( 'Portrait', 'dentalia' ),								
								'orion_circle' => __( 'Circle', 'dentalia' ),
								'orion_square' => __( 'Square', 'dentalia' ),
								'orion_carousel' => __( '3:2 ratio', 'dentalia' ),
								'orion_tablet' => __( '750px width', 'dentalia' ),
								'' => __( 'Original image ratio', 'dentalia' ),
							),					
						),				        	
					    'text_color' => array(
					        'type' => 'select',
					        'label' => __( 'Hover text color', 'dentalia' ),
					        'default' => 'text-light',
							'options' => array(
								'primary-color' => __( 'Main theme color', 'dentalia' ),
								'secondary-color' => __( 'Secondary theme color', 'dentalia' ),
								'tertiary-color' => __( 'Tertiary theme color', 'dentalia' ),	
								'text-dark' => __( 'Dark', 'dentalia' ),	
								'text-light' => __( 'Light', 'dentalia' ),
							),	
					    ),
						'image_overlay' => array(
							'type' => 'select',
							'label' => __( 'Image overlay', 'dentalia' ),
							'default' => 'overlay-none',
							'options' => array(
								'overlay-none' => __( 'None', 'dentalia' ),
								'overlay-black' => __( 'Darken', 'dentalia' ),	
								'overlay-white' => __( 'Lighten', 'dentalia' ),
								'overlay-primary' => __( 'Main theme color', 'dentalia' ),	
								'overlay-secondary' => __( 'Secondary theme color', 'dentalia' ),	
								'overlay-tertiary' => __( 'Tertiary theme color', 'dentalia' ),
								'overlay-greyscale' => __( 'Greyscale', 'dentalia' ),
							),					
						),
						'image_overlay_hover' => array(
							'type' => 'select',
							'label' => __( 'Image overlay on hover', 'dentalia' ),
							'default' => 'overlay-none',
							'options' => array(
								'overlay-hover-none' => __( 'None', 'dentalia' ),
								'overlay-hover-black' => __( 'Darken', 'dentalia' ),	
								'overlay-hover-white' => __( 'Lighten', 'dentalia' ),
								'overlay-hover-primary' => __( 'Main theme color', 'dentalia' ),	
								'overlay-hover-secondary' => __( 'Secondary theme color', 'dentalia' ),	
								'overlay-hover-tertiary' => __( 'Tertiary theme color', 'dentalia' ),
								'overlay-hover-greyscale' => __( 'Greyscale', 'dentalia' ),
							),					
						),					    
					),
				),		    		    
			),
			plugin_dir_path(__FILE__)
		);
	}

    function get_template_name($instance) {
         return 'orion_image_w-template';
    }
	function get_template_dir($instance) {
	    return 'tpl';
	}
    function get_style_name($instance) {
        return '';
    }
}

siteorigin_widget_register('orion_image_w', __FILE__, 'orion_image_w');