<?php

/*
Widget Name: (OrionThemes) Icon List
Description: Displays a list
Author: OrionThemes
Author URI: http://orionthemes.com
*/

class orion_list_w extends SiteOrigin_Widget {

	function __construct() {

		parent::__construct(
			'orion_list_w',
			__('(OrionThemes) Icon List', 'dentalia'),
			array(
				'description' => __('Display a list with custom icons.', 'dentalia'),
				'panels_groups' => array('dentalia'),
				'panels_icon' => 'orion dashicons dashicons-editor-alignleft',
			),
			array(

			),
			array(
			    'title' => array(
			        'type' => 'text',
			        'label' => __('Widget Title', 'dentalia'),
			    ),	    
				'widget_repeater' => array(
			        'type' => 'repeater',
			        'label' => __( 'Add list' , 'dentalia' ),
			        'item_name'  => __( 'Click to add a list', 'dentalia' ),
			        'item_label' => array(
			            'selector'     => "[id*='list_name']",
			            'update_event' => 'change',
			            'value_method' => 'val'
			        ),
		        	'fields' => array(
					    'list_name' => array(
					        'type' => 'text',
					        'label' => __('list Item', 'dentalia'),
					        'default' => ''
					    ),
						'list_icon' => array(
						    'type' => 'icon',
						    'label' => __('Icon', 'dentalia'),
						),					    							
					),
		        ),
				'text_color' => array(
					'type' => 'select',
					'label' => __( 'Text color style', 'dentalia' ),
					'default' => 'text-default',
					'options' => array(
					'text-default' => __( 'Default', 'dentalia' ),						
					'text-light' => __( 'Light text', 'dentalia' ),
					'text-dark' => __( 'Dark text', 'dentalia' ),
					)
				),		        
			   'style_section' => array(
			        'type' => 'section',
			        'label' => __( 'Settings' , 'dentalia' ),
			        'hide' => true,
			        'fields' => array(
						'list_text_color' => array(
					        'type' => 'color',
					        'label' => __( 'Text color', 'dentalia' ),
					        'default' => ''
					    ),			        	
						'list_icon_color' => array(
					        'type' => 'color',
					        'label' => __( 'Icon color', 'dentalia' ),
					        'default' => ''
					    ),						    
						'list_bg_color' => array(
					        'type' => 'color',
					        'label' => __( 'Background color', 'dentalia' ),
					        'default' => ''
					    ),
					    'bg_opacy' => array(
					        'type' => 'slider',
					        'label' => __( 'Background color opacity', 'dentalia' ),
					        'default' => 100,
					        'min' => 1,
					        'max' => 100,
					        'integer' => true,
					    ),
						'icon_size' => array(
							'type' => 'select',
							'label' => __( 'List item size', 'dentalia' ),
							'default' => 'size-normal',
							'options' => array(
							'size-small' => __( 'Small', 'dentalia' ),								
							'size-normal' => __( 'Normal', 'dentalia' ),
							'size-large' => __( 'Large', 'dentalia' ),							
							)
						),
					    'list_padding' => array(
					        'type' => 'slider',
					        'label' => __( 'List item padding', 'dentalia' ),
					        'default' => 12,
					        'min' => 0,
					        'max' => 100,
					        'integer' => true,
					    ),
			        ),
			    ),    
			),
			plugin_dir_path(__FILE__)
		);
	}

    function get_template_name($instance) {
         return 'orion_list_w-template';
    }
	function get_template_dir($instance) {
	    return 'tpl';
	}
    function get_style_name($instance) {
        return '';
    }
}

siteorigin_widget_register('orion_list_w', __FILE__, 'orion_list_w');