<?php

/*
Widget Name: (OrionThemes) Logos
Description: Displays Logos
Author: OrionThemes
Author URI: http://orionthemes.com
*/

class orion_logos_w extends SiteOrigin_Widget {

	function __construct() {

		parent::__construct(
			'orion_logos_w',
			__('(OrionThemes) Logos', 'dentalia'),
			array(
				'description' => __('Display logos in a grid or carousel.', 'dentalia'),
				'panels_groups' => array('dentalia'),
				'panels_icon' => 'orion dashicons dashicons-awards',
			),
			array(

			),
			array(
			    'title' => array(
			        'type' => 'text',
			        'label' => __('Widget Title', 'dentalia'),
			    ),    
				'repeater' => array(
			        'type' => 'repeater',
			        'label' => __( 'Add Logo' , 'dentalia' ),
			        'item_name'  => __( 'Click to add a Logo', 'dentalia' ),
			        'item_label' => array(
			            'selector'     => "[id*='logo-title']",
			            'update_event' => 'change',
			            'value_method' => 'val'
			        ),
		        	'fields' => array(
					    'logo-title' => array(
					        'type' => 'text',
					        'label' => __('Logo title', 'dentalia'),
					        'default' => '',
					    ),  
						'logo' => array(		        		
					        'type' => 'media',
					        'label' => __( 'Choose a Logo', 'dentalia'),
					        'choose' => __( 'Choose logo', 'dentalia'),
					        'update' => __( 'Set logo', 'dentalia'),
					        'library' => 'image',
					        'fallback' => true,
						),			        		
					    'link' => array(
					        'type' => 'text',
					        'label' => __('Logo Link', 'dentalia'),
					        'default' => '',
					    ),  		    
					),
		        ),
		        'display_as' => array(
					'type' => 'select',
					'label' => __('Display as', 'dentalia'),	
				    'options' => array(
						'grid'	=> 'Grid',
				    	'carousel'	=> 'Carousel',		            			            
		       		),
				    'default' => 'carousel',
		       	),

		        'per_row' => array(
					'type' => 'select',
					'label' => __('Elements per row', 'dentalia'),	
				    'options' => array(
						'1'	=> '1',
				    	'2'	=> '2',
			            '3'	=> '3',
			            '4'	=> '4',
			            '6'	=> '6',	
			            '12' => '12'		            			            
		       		),
				    'default' => 4,
		       	),

				'text_color' => array(
					'type' => 'select',
					'label' => __( 'Light or dark color', 'dentalia' ),
					'default' => 'text-default',
					'options' => array(
					'text-default' => __( 'Default', 'dentalia' ),
					'text-light' => __( 'Light text', 'dentalia' ),
					'text-dark' => __( 'Dark text', 'dentalia' ),
					)
				),

				'border_color' => array(
			        'type' => 'color',
			        'label' => __( 'Grid border color', 'dentalia' ),
			        'default' => '#f2f2f2'
			    ),

			    'logo_height' => array(
			        'type' => 'slider',
			        'label' => __( 'Row height (px)', 'dentalia' ),
			        'default' => 180,
			        'min' => 60,
			        'max' => 360,
			        'integer' => true
			    ),

				'logo_img_size' => array(
			        'type' => 'slider',
			        'label' => __( 'Logo size (%)', 'dentalia' ),
			        'default' => 80,
			        'min' => 40,
			        'max' => 100,
			        'integer' => true,
			    ),

				'logo_img_hover_size' => array(
			        'type' => 'slider',
			        'label' => __( 'Logo size on hover (%)', 'dentalia' ),
			        'default' => 90,
			        'min' => 40,
			        'max' => 100,
			        'integer' => true,
			    ),

				'option_carousel' => array(
			        'type' => 'section',
			        'label' => __( 'Carousel Settings' , 'dentalia' ),
			        'hide' => true,
			        'fields' => array(
						'navigation_carousel' => array(
							'type' => 'select',
							'label' => __( 'Navigation', 'dentalia' ),
							'default' => 'none',
							'options' => array(
								'arrows_aside' => __( 'Arrows', 'dentalia' ),
								'none' => __( 'None', 'dentalia' ),
							),					
						),
						'autoplay' => array(
							'type' => 'checkbox',
							'label' => __( 'Enable autoplay', 'dentalia' ),
							'default' => false,
						),
						'autoplay_timeout' => array(
					        'type' => 'slider',
					        'label' => __( 'Autoplay Transition Delay', 'dentalia' ),
					        'default' => 5000,
					        'min' => 100,
					        'max' => 7000,
					        'integer' => true,
					    ),
			        ),
			    ),  
			),
			plugin_dir_path(__FILE__)
		);
	}

    function get_template_name($instance) {
         return 'orion_logos_w-template';
    }
	function get_template_dir($instance) {
	    return 'tpl';
	}
    function get_style_name($instance) {
        return '';
    }
}

siteorigin_widget_register('orion_logos_w', __FILE__, 'orion_logos_w');