<?php
/*
Widget Name: (OrionThemes) Price List
Description: Displays Pricelist
Author: OrionThemes
Author URI: http://orionthemes.com
*/

class orion_pricelist_w extends SiteOrigin_Widget {

	function __construct() {

		parent::__construct(
			'orion_pricelist_w',
			__('(OrionThemes) Price List', 'dentalia'),
			array(
				'description' => __('A customizable price list widget.', 'dentalia'),
				'panels_groups' => array('dentalia'),
				'panels_icon' => 'orion dashicons dashicons-list-view',
			),
			array(

			),
			array(

			    'title' => array(
			        'type' => 'text',
			        'label' => __('Widget Title', 'dentalia'),
			    ),	    
				'widget_repeater' => array(
			        'type' => 'repeater',
			        'label' => __( 'Add Service' , 'dentalia' ),
			        'item_name'  => __( 'Click to add a service', 'dentalia' ),
			        'item_label' => array(
			            'selector'     => "[id*='service_name']",
			            'update_event' => 'change',
			            'value_method' => 'val'
			        ),
		        	'fields' => array(
					    'service_name' => array(
					        'type' => 'text',
					        'label' => __('Service', 'dentalia'),
					        'default' => ''
					    ),
					    'description' => array(
					        'type' => 'tinymce',
					        'label' => __( 'Description (optional)', 'dentalia' ),
					        'rows' => 6
					    ),			    					    
					    'service_price' => array(
					        'type' => 'text',
					        'label' => __('Price', 'dentalia'),
					        'default' => ''
					    ),				    		    
					),
		        ),
				'text_color' => array(
					'type' => 'select',
					'label' => __( 'Text color style', 'dentalia' ),
					'default' => 'text-default',
					'options' => array(
						'text-default' => __( 'Default', 'dentalia' ),
						'text-light' => __( 'Light text', 'dentalia' ),
						'text-dark' => __( 'Dark text', 'dentalia' ),
					)
				),
				'style_section' => array(
			        'type' => 'section',
			        'label' => __( 'Settings' , 'dentalia' ),
			        'hide' => true,
			        'fields' => array(
						'service_name_color' => array(
					        'type' => 'color',
					        'label' => __( 'Service color', 'dentalia' ),
					        'default' => ''
					    ),	
						'service_desc_color' => array(
					        'type' => 'color',
					        'label' => __( 'Description color', 'dentalia' ),
					        'default' => ''
					    ),							    				    
						'service_price_color' => array(
					        'type' => 'color',
					        'label' => __( 'Price color', 'dentalia' ),
					        'default' => ''
					    ),	
			        ),
			     ),
			),
			plugin_dir_path(__FILE__)
		);
	}

    function get_template_name($instance) {
         return 'orion_pricelist_w-template';
    }
	function get_template_dir($instance) {
	    return 'tpl';
	}
    function get_style_name($instance) {
        return '';
    }
}

siteorigin_widget_register('orion_pricelist_w', __FILE__, 'orion_pricelist_w');