<?php

/*
Widget Name: (OrionThemes) Recent Posts
Description: With optional category filter.
Author: OrionThemes
Author URI: http://orionthemes.com
Widget URI: http://orionthemes.com
*/

function get_category_array() { 
	$categories = get_categories( 
		array(
			'taxonomy' => 'category',
		    'orderby' => 'name',
		) 
	);
	$all_categories = array();
	$all_categories['All'] = 'all';
	foreach ( $categories as $category ) {
		$id = $category->term_id;
		$cat_title = $category->name;
		// fill array
		$all_categories[$id] = $cat_title;
	}

	return  $all_categories;
}

function post_limit_array(){
	$select = array();
    for($i=1; $i < 25; $i++) { 
		$select[$i] = $i;
	}
	return $select;
}


class orion_recent_posts_carousel extends SiteOrigin_Widget {

	function __construct() {

		parent::__construct(
			'orion_recent_posts_carousel',
			__('(OrionThemes) Recent Posts', 'dentalia'),
			array(
				'description' => __('Highly coustomizable with category filter.', 'dentalia'),
				'panels_groups' => array('dentalia'),
				'panels_icon' => 'orion dashicons dashicons-edit'
			),
			array(

			),
			array(	
			    'title' => array(
			        'type' => 'text',
			        'label' => __('Widget Title', 'dentalia'),
			    ),
				'category_option' => array(
					'type' => 'select',
					'label' => __( 'Choose a category', 'dentalia' ),
					'description' => __( 'Select a category.', 'dentalia' ),
					'default' => 'all',
					'options' => get_category_array()		
				),
				'display_layout' => array(
					'type' => 'select',
					'label' => __( 'Choose Layout', 'dentalia' ),
					'default' => 'grid',
					'options' => array(
			            'carousel' => __( 'Carousel', 'dentalia' ),
			            'grid' => __( 'Grid', 'dentalia' ),
					)			            					
				),				
		        'per_row' => array(
					'type' => 'select',
					'label' => __('Elements per row', 'dentalia'),	
				    'options' => array(
						'1'	=> '1',
				    	'2'	=> '2',
			            '3'	=> '3',
			            '4'	=> '4',
		       		),
				    'default' => 3,		
		       	),
		        'number_of_posts' => array(
					'type' => 'select',
					'label' => __('Number of posts', 'dentalia'),	
				    'options' => post_limit_array(),
				    'default' => 3,		
		       	),		       	
				'text_color' => array(
					'type' => 'select',
					'label' => __( 'Text color', 'dentalia' ),
					'default' => 'text-default',
					'options' => array(
						'text-default' => __( 'Default', 'dentalia' ),
						'text-light' => __( 'Light', 'dentalia' ),
						'text-dark' => __( 'Dark', 'dentalia' ),
					)
				),
				'option_section' => array(
			        'type' => 'section',
			        'label' => __( 'Settings' , 'dentalia' ),
			        'hide' => true,
			        'fields' => array(
						'display_feeatured' => array(
							'type' => 'checkbox',
							'label' => __( 'Display featured image', 'dentalia' ),
							'default' => true,
						),					
						'display_excerpt' => array(
							'type' => 'checkbox',
							'label' => __( 'Display post excerpt', 'dentalia' ),
							'default' => true,
						),						       	
						'display_readmore' => array(
							'type' => 'checkbox',
							'label' => __( 'Display read more button', 'dentalia' ),
							'default' => true,
						),
					    'readmore_text' => array(
					        'type' => 'text',
					        'label' => __('Button text', 'dentalia'),
					        'default' => 'Read more'
					    ),
						'display_date' => array(
							'type' => 'select',
							'label' => __( 'Display date', 'dentalia' ),
							'default' => 'on-image',
							'options' => array(
								'on-image' => __( 'On featured image', 'dentalia' ),
								'in-meta' => __( 'Above post title', 'dentalia' ),
								'hide' => __( 'Do not display', 'dentalia' ),	
							),					
						),					    
						'option_carousel' => array(
					        'type' => 'section',
					        'label' => __( 'Carousel' , 'dentalia' ),
					        'hide' => true,
					        'fields' => array(
								'autoplay' => array(
									'type' => 'checkbox',
									'label' => __( 'Enable autoplay', 'dentalia' ),
									'default' => false,
								),
								'navigation_carousel' => array(
									'type' => 'select',
									'label' => __( 'Navigation', 'dentalia' ),
									'default' => 'dots',
									'options' => array(
										'dots' => __( 'Dots', 'dentalia' ),
										'arrows_top' => __( 'Arrows on top', 'dentalia' ),
										'arrows_bottom' => __( 'Arrows on bottom', 'dentalia' ),
										'none' => __( 'None', 'dentalia' ),
									),					
								),									
					        ),
					    ),  
			        ),
			    ),    
			    'style_section'  => array(
			        'type' => 'section',
			        'label' => __( 'Style' , 'dentalia' ),
			        'hide' => true,
			        'fields' => array(
						'readmore_color' => array(
							'type' => 'select',
							'label' => __( 'Button & hover color', 'dentalia' ),
							'default' => 'primary',
							'options' => array(
								'primary' => __( 'Main theme color', 'dentalia' ),
								'secondary' => __( 'Secondary theme color', 'dentalia' ),
								'tertiary' => __( 'Tertiary theme color', 'dentalia' ),	
								'black' => __( 'Dark', 'dentalia' ),	
								'white' => __( 'Light', 'dentalia' ),
							),					
						),
					    'btn_size' => array(
					        'type' => 'select',
					        'label' => __( 'Button Size', 'dentalia' ),
							'default' => 'btn-sm',
					        'options' => array(
					        	'btn-xs' => __( 'Tiny', 'dentalia' ),
					            'btn-sm' => __( 'Small', 'dentalia' ),
					            'btn-md' => __('Normal', 'dentalia'),
					            'btn-lg' => __('Large', 'dentalia'),
					        ),

					    ),
						'bg_color' => array(
					        'type' => 'color',
					        'label' => __( 'Background color', 'dentalia' ),
					        'default' => '',
					    ),
					    'bg_opacy' => array(
					        'type' => 'slider',
					        'label' => __( 'Background color opacity', 'dentalia' ),
					        'default' => 100,
					        'min' => 1,
					        'max' => 100,
					        'integer' => true,
					    ),

						'image_overlay' => array(
							'type' => 'select',
							'label' => __( 'Image overlay', 'dentalia' ),
							'default' => 'overlay-none',
							'options' => array(
								'overlay-none' => __( 'None', 'dentalia' ),
								'overlay-black' => __( 'Darken', 'dentalia' ),	
								'overlay-white' => __( 'Lighten', 'dentalia' ),
								'overlay-primary' => __( 'Main theme color', 'dentalia' ),	
								'overlay-secondary' => __( 'Secondary theme color', 'dentalia' ),	
								'overlay-tertiary' => __( 'Tertiary theme color', 'dentalia' ),
								'overlay-greyscale' => __( 'Greyscale', 'dentalia' ),
								// 'overlay-blur' => __( 'Blur', 'dentalia' ),
							),					
						),
						'image_overlay_hover' => array(
							'type' => 'select',
							'label' => __( 'Image overlay on hover', 'dentalia' ),
							'default' => 'overlay-hover-none',
							'options' => array(
								'overlay-hover-none' => __( 'None', 'dentalia' ),
								'overlay-hover-black' => __( 'Darken', 'dentalia' ),	
								'overlay-hover-white' => __( 'Lighten', 'dentalia' ),
								'overlay-hover-primary' => __( 'Main theme color', 'dentalia' ),	
								'overlay-hover-secondary' => __( 'Secondary theme color', 'dentalia' ),	
								'overlay-hover-tertiary' => __( 'Tertiary theme color', 'dentalia' ),
								'overlay-hover-greyscale' => __( 'Greyscale', 'dentalia' ),
								// 'overlay-hover-blur' => __( 'Blur', 'dentalia' ),
							),					
						),						
						'scale_efect' => array(
							'type' => 'select',
							'label' => __( 'Scale image on hover', 'dentalia' ),
							'default' => 'scale-zoomin',
							'options' => array(
								'scale-none' => __( 'None', 'dentalia' ),
								'scale-zoomin' => __( 'Zoom in', 'dentalia' ),	
								'scale-zoomout' => __( 'Zoom out', 'dentalia' ),
							),					
						),	
					),
			    ),
			),	    	
			plugin_dir_path(__FILE__)
		);
	}

    function get_template_name($instance) {
         return 'orion_recent_posts_carousel-template';
    }
	function get_template_dir($instance) {
	    return 'tpl';
	}
    function get_style_name($instance) {
        return '';
    }
}

siteorigin_widget_register('orion_recent_posts_carousel', __FILE__, 'orion_recent_posts_carousel');