<?php
/*
Widget Name: (OrionThemes) Testimonials
Description: Displays testimonials
Author: OrionThemes
Author URI: http://orionthemes.com
*/

class orion_testimonial_w extends SiteOrigin_Widget {

	function __construct() {

		parent::__construct(
			'orion_testimonial_w',
			__('(OrionThemes) Testimonials', 'dentalia'),
			array(
				'description' => __('Display your testimonials in a carousel.', 'dentalia'),
				'panels_groups' => array('dentalia'),
				'panels_icon' => 'orion dashicons dashicons-format-quote',
			),
			array(
			),
			array(
			    'title' => array(
			        'type' => 'text',
			        'label' => __('Widget Title', 'dentalia'),
			        'default' => ''
			    ),	    
				'widget_repeater' => array(
			        'type' => 'repeater',
			        'label' => __( 'Add Testimonial' , 'dentalia' ),
			        'item_name'  => __( 'Click to add a testimonial', 'dentalia' ),
			        'item_label' => array(
			            'selector'     => "[id*='item_title']",
			            'update_event' => 'change',
			            'value_method' => 'val'
			        ),
		        	'fields' => array(
					    'item_title' => array(
					        'type' => 'text',
					        'label' => __('Testimonial Title (optional)', 'dentalia'),
					    ),
					    'description' => array(
					        'type' => 'textarea',
					        'label' => __( 'Testimonial', 'dentalia' ),
					        'rows' => 6,
					        'default' => 'Testimonial quote.'
					    ),			    					    
					    'name' => array(
					        'type' => 'text',
					        'label' => __('Name', 'dentalia'),
					        'default' => 'Mr. Orion'
					    ),
						'image' => array(
					        'type' => 'media',
					        'label' => __( 'Upload Image (optional)', 'dentalia'),
					        'choose' => __( 'Choose image', 'dentalia'),
					        'update' => __( 'Set image', 'dentalia'),
					        'library' => 'image',
					        'fallback' => true
					    ),
					),
		        ),
				'display_layout' => array(
					'type' => 'select',
					'label' => __( 'Choose Layout', 'dentalia' ),
					'default' => 'carousel',
					'options' => array(
			            'carousel' => __( 'Carousel', 'dentalia' ),
			            'grid' => __( 'Grid', 'dentalia' ),
					)			            					
				),
		        'per_row' => array(
					'type' => 'select',
					'label' => __('Elements per Row', 'dentalia'),	
				    'options' => array(
						'1'	=> '1',
				    	'2'	=> '2',
				    	'3'	=> '3',
		       		),
				    'default' => '1',		
		       	),	
				'text_color' => array(
					'type' => 'select',
					'label' => __( 'Text Color', 'dentalia' ),
					'default' => 'text-default',
					'options' => array(
						'text-default' => __( 'Default', 'dentalia' ),
						'text-light' => __( 'Light text', 'dentalia' ),
						'text-dark' => __( 'Dark text', 'dentalia' ),
					)
				),			
				'option_section' => array(
			        'type' => 'section',
			        'label' => __( 'Settings' , 'dentalia' ),
			        'hide' => true,
			        'fields' => array(

						'bg_color' => array(
					        'type' => 'color',
					        'label' => __( 'Background Color', 'dentalia' ),
					        'default' => ''
					    ),
					    'bg_opacy' => array(
					        'type' => 'slider',
					        'label' => __( 'Background Opacity', 'dentalia' ),
					        'default' => 100,
					        'min' => 1,
					        'max' => 100,
					        'integer' => true,
					    ),
						'border_color' => array(
					        'type' => 'color',
					        'label' => __( 'Border Color', 'dentalia' ),
					        'default' => ''
					    ),
						'text_size' => array(
							'type' => 'select',
							'label' => __( 'Text Size', 'dentalia' ),
							'default' => '',
							'options' => array(
								'small' => __( 'Small', 'dentalia' ),
								'' => __( 'Normal', 'dentalia' ),
								'lead' => __( 'Large', 'dentalia' ),
							)
						),
					    'border-radius' => array(
					        'type' => 'checkbox',
					        'label' => __( 'Rounded Corners', 'dentalia' ),
					        'default' => true
					    ),
					    'hide_image' => array(
					        'type' => 'checkbox',
					        'label' => __( 'Hide Image', 'dentalia' ),
					        'default' => false
					    ),
						'option_carousel' => array(
					        'type' => 'section',
					        'label' => __( 'Carousel Settings' , 'dentalia' ),
					        'hide' => true,
					        'fields' => array(
								'navigation_carousel' => array(
									'type' => 'select',
									'label' => __( 'Navigation Style', 'dentalia' ),
									'default' => 'dots',
									'options' => array(
										'dots' => __( 'Dots', 'dentalia' ),
										'arrows_top' => __( 'Arrows on top', 'dentalia' ),
										'arrows_bottom' => __( 'Arrows on bottom', 'dentalia' ),
										'none' => __( 'None', 'dentalia' ),
									),					
								),
								'autoplay' => array(
									'type' => 'checkbox',
									'label' => __( 'Enable Autoplay', 'dentalia' ),
									'default' => false,
								),
					        ),
					    ),   
			        ),
			    ),			    
			),
			plugin_dir_path(__FILE__)
		);
	}

    function get_template_name($instance) {
         return 'orion_testimonial_w-template';
    }
	function get_template_dir($instance) {
	    return 'tpl';
	}
    function get_style_name($instance) {
        return '';
    }
}

siteorigin_widget_register('orion_testimonial_w', __FILE__, 'orion_testimonial_w');