<?php
 
/*
Widget Name: (OrionThemes) Document Download
Description: Displays Document Download button
Author: OrionThemes
Author URI: http://orionthemes.com
*/

class orion_upload_w extends SiteOrigin_Widget {

	function __construct() {

		parent::__construct(
			'orion_upload_w',
			__('(OrionThemes) Document Download', 'dentalia'),
			array(
				'description' => __('A customizable document download widget.', 'dentalia'),
				'panels_groups' => array('dentalia'),
				'panels_icon' => 'orion dashicons dashicons-paperclip',
			),
			array(
 
			),
			array(
			    'title' => array(
			        'type' => 'text',
			        'label' => __('Widget Title', 'dentalia'),
			    ),	    
				'widget_repeater' => array(
			        'type' => 'repeater',
			        'label' => __( 'Add Document' , 'dentalia' ),
			        'item_name'  => __( 'Click to add a document', 'dentalia' ),
			        'item_label' => array(
			            'selector'     => "[id*='document_name']",
			            'update_event' => 'change',
			            'value_method' => 'val'
			        ),
		        	'fields' => array(
					    'document_name' => array(
					        'type' => 'text',
					        'label' => __('Document Title', 'dentalia'),
					        'default' => ''
					    ),
						'document_icon' => array(
						    'type' => 'icon',
						    'label' => __('Icon', 'dentalia'),
						),					    
						'document_upload' => array(
					        'type' => 'media',
					        'label' => __( 'Upload a document', 'dentalia' ),
					        'choose' => __( 'Choose a document', 'dentalia' ),
					        'update' => __( 'Upload a document', 'dentalia' ),
					        'library' => 'application',
					        'fallback' => true
						),
					),
		        ),	        
			    'btn_color' => array(
			        'type' => 'select',
			        'label' => __( 'Button Color', 'dentalia' ),
			        'default' => 'btn',
			        'options' => array(
			            'btn' => __( 'Default', 'dentalia' ),
			            'btn btn-c1' => __( 'Main Theme Color', 'dentalia' ),
			            'btn btn-c2' => __( 'Secondary Theme Color', 'dentalia' ),
			            'btn btn-c3' => __( 'Tertiary Theme Color', 'dentalia' ),
			            'btn btn-blue' => __( 'Blue', 'dentalia' ),
			            'btn btn-green' => __( 'Green', 'dentalia' ),
			            'btn btn-pink' => __( 'Pink', 'dentalia' ),
			            'btn btn-orange' => __( 'Orange', 'dentalia' ),
			            'btn btn-black' => __( 'Black', 'dentalia' ),
			            'btn btn-white' => __( 'White', 'dentalia' ),
			        ),
			    ),
		        'text_color' => array(
					'type' => 'select',
					'label' => __('Widget Title Color', 'dentalia'),	
				    'options' => array(
				    	'text-default'	=> __('Default', 'dentalia'),
				    	'text-dark'	=> __('Dark', 'dentalia'),
				    	'text-light'	=> __('Light', 'dentalia'),			    	
		       		),
				    'default' => 'text-default',		
		       	),			    		    
			    'btn_type' => array(
			        'type' => 'select',
			        'label' => __( 'Button Style', 'dentalia' ),
			        'default' => 'btn-flat',
			        'options' => array(
			            'btn-flat' => __( 'Flat', 'dentalia' ),
			            'btn-wire' => __( 'Wire', 'dentalia' ),
			        ),
			    ),
			),
			plugin_dir_path(__FILE__)
		);
	}

    function get_template_name($instance) {
         return 'orion_upload_w-template';
    }
	function get_template_dir($instance) {
	    return 'tpl';
	}
    function get_style_name($instance) {
        return '';
    }
}

siteorigin_widget_register('orion_upload_w', __FILE__, 'orion_upload_w');