<?php 
/**
 * DEVELOPER GUIDE:
 *
 * 1. Child theme function overrides: 
 * Orion themes use if (!function_exists wrapper()){} for all functions. 
 * To change a specific function, just copy existing function to your child theme and customize it.
 * if (!function_exists('dentalia_function')) {}
 *
 * *
 *
 *
 * TOC:
 * * TEMPLATE FUNCTIONS
 * * FILTER FUNCTIONS
 */ 


/************************************* O.o *************************************/
/*                             TEMPLATE FUNCTIONS                              */ 
/*******************************************************************************/
/**
 * @return template
 */

if(!function_exists('orion_get_top_bar')) {
	function orion_get_top_bar() {	
	global $orion_options;	
	if(empty($orion_options)) {
			$orion_options = orion_get_orion_defaults();
	}	
	if (isset($orion_options['top_bar_onoff']) && $orion_options['top_bar_onoff']==1) {
		return( get_template_part( 'templates/header/topbar', 'leftright' ));}
	}
}
/* favicon support */
function orion_site_icon_sizes($sizes) {
	$sizes = array(16, 32, 64, 72, 120);
    return $sizes;
}
add_filter('site_icon_image_sizes', 'orion_site_icon_sizes');

function orion_site_icon_meta_tags($tags) {
    $tags[] = sprintf('<link rel="icon" href="%s" sizes="16x16" />', esc_url(get_site_icon_url(null, 16)));
    $tags[] = sprintf('<link rel="icon" href="%s" sizes="32x32" />', esc_url(get_site_icon_url(null, 32)));
    $tags[] = sprintf('<link rel="icon" href="%s" sizes="64x64" />', esc_url(get_site_icon_url(null, 64)));
    $tags[] = sprintf('<link rel="icon" href="%s" sizes="72x72" />', esc_url(get_site_icon_url(null, 72)));
    $tags[] = sprintf('<link rel="icon" href="%s" sizes="120x120" />', esc_url(get_site_icon_url(null, 120)));

    return $tags;
}
add_filter('site_icon_meta_tags', 'orion_site_icon_meta_tags');

/* Global defaults */
if(!function_exists('orion_get_orion_defaults')) {
	function orion_get_orion_defaults() {	
	$orion_defauls = array ( 'last_tab' => '', 'main_theme_color' => '#00BCD4', 'secondary_theme_color' => '#3F51B5', 'color_3' => '#2B354B', 'site_background_color' => '#ffffff', 'boxed_fullwidth' => '1', 'boxed_site_background_color' => '#e0e0e0', 'pattern_type' => '1', 'boxed_site_background' => array ( 'background-repeat' => '', 'background-size' => '', 'background-attachment' => '', 'background-position' => '', 'background-image' => '', 'media' => array ( 'id' => '', 'height' => '', 'width' => '', 'thumbnail' => '', ), ), 'boxed_site_width' => '1350', 'boxed_site_padding' => '90', 'boxed_top_margin' => array ( 'margin-top' => '36px', 'margin-bottom' => '36px', ), 'passepartout' => '0', 'passepartout_size' => array ( 'width' => '24', 'height' => '24', ), 'passepartout_color' => '#e0e0e0', 'page-sidebar-left-defauts' => '', 'page-sidebar-right-defauts' => '', 'page_404' => '', 'back_to_top' => '1', 'comments_posts' => '1', 'comments_pages' => '1', 'logo_upload_dark' => array ( 'url' => '', 'id' => '', 'height' => '', 'width' => '', 'thumbnail' => '', ), 'logo_upload_light' => array ( 'url' => '', 'id' => '', 'height' => '', 'width' => '', 'thumbnail' => '', ), 'text_logo' => '', 'logo_max_dimensions' => array ( 'width' => '', 'height' => '', ), 'orion_header_type' => 'classic', 'classic_header_background' => array ( 'background-color' => '', 'background-repeat' => '', 'background-size' => '', 'background-position' => '', 'background-image' => '', 'media' => array ( 'id' => '', 'height' => '', 'width' => '', 'thumbnail' => '', ), ), 'header_hight_classic' => '120', 'logo_position_hight_classic' => '50', 'header_width_classic' => '0', 'classicheader_widgets_switch' => '1', 'classic_headerwidgets_background_color' => '#f8f8f8', 'classicheader_widgets_colorstyle' => 'text-dark', 'classic_header_widgets_spacing' => array ( 'padding-top' => '24px', 'padding-bottom' => '0', ), 'header_background' => array ( 'background-color' => '#ffffff', 'background-repeat' => '', 'background-size' => '', 'background-position' => '', 'background-image' => '', 'media' => array ( 'id' => '', 'height' => '', 'width' => '', 'thumbnail' => '', ), ), 'header_hight_with_widgets' => '96', 'navbar_hight_with_widgets' => '96', 'logo_position_hight_with_widgets' => '50', 'header_width_with_widgets' => '0', 'widgetsfluid_widgets_switch' => '1', 'header_widgets_width' => 'col-md-8', 'widgetsfluid_header_widgets_spacing' => array ( 'padding-top' => '24px', 'padding-bottom' => '12px', ), 'header_widgets_colorstyle' => 'text-dark', 'navigation_style' => 'nav-style-2', 'navigation_links_color_style' => 'nav-light', 'nav_menu_bg_color_nav_light' => '#ffffff', 'first_lvl_menu_colors_nav_light' => array ( 'regular' => '#212121', 'hover' => '#212121', 'active' => '#ffffff', ), 'first_lvl_menu_bg_nav_light' => array ( 'regular' => '', 'hover' => '', 'active' => '', ), 'submenu_colors_nav_light' => array ( 'regular' => '#ffffff', 'hover' => '', 'active' => '#ffffff', ), 'submenu_background_nav_light' => array ( 'color' => '', 'alpha' => '1', 'rgba' => '', ), 'nav_menu_bg_color_nav_dark' => '', 'first_lvl_menu_colors_nav_dark' => array ( 'regular' => '', 'hover' => '', 'active' => '', ), 'first_lvl_menu_bg_nav_dark' => array ( 'regular' => '', 'hover' => '', 'active' => '', ), 'submenu_colors_nav_dark' => array ( 'regular' => '#212121', 'hover' => '', 'active' => '', ), 'submenu_background_nav_dark' => array ( 'color' => '#fff', 'alpha' => '1', 'rgba' => 'rgba(255,255,255,1)', ), 'first-lvl-menu' => array ( 'font-family' => '', 'font-options' => '', 'google' => '1', 'font-weight' => '', 'font-style' => '', 'subsets' => '', 'text-transform' => 'uppercase', 'font-size' => '12px', 'line-height' => '48px', 'letter-spacing' => '1px', ), 'second-lvl-menu' => array ( 'font-family' => '', 'font-options' => '', 'google' => '1', 'font-weight' => '', 'font-style' => '', 'subsets' => '', 'text-transform' => 'uppercase', 'font-size' => '12px', 'letter-spacing' => '1px', ), 'mobile_menu_background' => '', 'mobile_menu_link_colors' => array ( 'regular' => '', 'active' => '', ), 'search_icon' => '0', 'is_header_sticky' => '0', 'sticky_header_background' => array ( 'background-color' => '', 'background-repeat' => '', 'background-size' => '', 'background-attachment' => '', 'background-position' => '', 'background-image' => '', 'media' => array ( 'id' => '', 'height' => '', 'width' => '', 'thumbnail' => '', ), ), 'sticky_navigation_links_color_style' => '', 'sticky_navigation_style' => 'nav-style-1', 'top_bar_onoff' => '0', 'topbar_text_color' => 'text-dark', 'topbar_background' => '#ffffff', 'topbar_divider_left' => '1', 'topbar_divider_right' => '1', 'topbar_border_color' => array ( 'color' => '#f2f2f2', 'alpha' => '1', 'rgba' => 'rgba(242,242,242,1)', ), 'is_top_bar_fluid' => '0', 'post_heading_type' => 'classic', 'post-heading-background-classic' => array ( 'background-color' => '', 'background-repeat' => 'no-repeat', 'background-size' => 'cover', 'background-attachment' => '', 'background-position' => 'center center', 'background-image' => '', 'media' => array ( 'id' => '', 'height' => '', 'width' => '', 'thumbnail' => '', ), ), 'post-heading-title-classic' => array ( 'font-family' => 'Montserrat', 'font-options' => '', 'google' => '1', 'font-weight' => '400', 'font-style' => '', 'subsets' => '', 'text-transform' => 'capitalize', 'font-size' => '21px', 'line-height' => '24px', 'word-spacing' => '', 'letter-spacing' => '1px', 'color' => '#fff', ), 'post-heading-padding-classic' => array ( 'padding-top' => '24px', 'padding-bottom' => '24px', ), 'crumbs-onoff-classic' => '1', 'crumbs-font-classic' => array ( 'font-family' => 'Montserrat', 'font-options' => '', 'google' => '1', 'font-weight' => '400', 'font-style' => '', 'subsets' => '', 'font-size' => '12px', 'letter-spacing' => '1px', 'color' => '#ffffff', ), 'post-heading-background-centered' => array ( 'background-color' => '', 'background-repeat' => 'no-repeat', 'background-size' => 'cover', 'background-attachment' => '', 'background-position' => 'center center', 'background-image' => '', 'media' => array ( 'id' => '', 'height' => '', 'width' => '', 'thumbnail' => '', ), ), 'post-heading-title-centered' => array ( 'font-family' => 'Montserrat', 'font-options' => '', 'google' => '1', 'font-weight' => '400', 'font-style' => '', 'subsets' => '', 'text-transform' => 'capitalize', 'font-size' => '31px', 'line-height' => '36px', 'word-spacing' => '', 'letter-spacing' => '', 'color' => '#fff', ), 'post-heading-padding-centered' => array ( 'padding-top' => '72px', 'padding-bottom' => '60px', ), 'crumbs-onoff-centered' => '1', 'crumbs-font-centered' => array ( 'font-family' => 'Montserrat', 'font-options' => '', 'google' => '1', 'font-weight' => '400', 'font-style' => '', 'subsets' => '', 'font-size' => '12px', 'letter-spacing' => '1px', 'color' => '#ffffff', ), 'post-heading-background-left' => array ( 'background-color' => '', 'background-repeat' => 'no-repeat', 'background-size' => 'cover', 'background-attachment' => '', 'background-position' => 'center center', 'background-image' => '', 'media' => array ( 'id' => '', 'height' => '', 'width' => '', 'thumbnail' => '', ), ), 'post-heading-title-left' => array ( 'font-family' => 'Montserrat', 'font-options' => '', 'google' => '1', 'font-weight' => '400', 'font-style' => '', 'subsets' => '', 'text-transform' => 'capitalize', 'font-size' => '44px', 'line-height' => '48px', 'word-spacing' => '', 'letter-spacing' => '', 'color' => '#fff', ), 'post-heading-padding-left' => array ( 'padding-top' => '120px', 'padding-bottom' => '120px', ), 'crumbs-onoff-left' => '1', 'crumbs-font-left' => array ( 'font-family' => 'Montserrat', 'font-options' => '', 'google' => '1', 'font-weight' => '400', 'font-style' => '', 'subsets' => '', 'font-size' => '12px', 'letter-spacing' => '1px', 'color' => '#ffffff', ), 'blog_layout' => 'classic', 'archive_blog_sidebar_left_defaults' => '', 'archive_blog_sidebar_right_defaults' => 'sidebar-default', 'post-sidebar-left-defauts' => '', 'post-sidebar-right-defauts' => 'sidebar-default', 'share-icons' => array ( 'facebook' => '1', 'twitter' => '1', 'google' => '1', ), 'uncoveringfooter_switch' => '', 'mainfooter-sidebars' => '1', 'footer_text_colors' => 'text-light', 'footer_background' => array ( 'background-color' => '', 'background-repeat' => '', 'background-size' => '', 'background-position' => '', 'background-image' => '', 'media' => array ( 'id' => '', 'height' => '', 'width' => '', 'thumbnail' => '', ), ), 'footer_spacing' => array ( 'padding-top' => '60px', 'padding-bottom' => '60px', ), 'prefooter_switch' => '0', 'prefooter-sidebars' => '1', 'prefooter_text_colors' => '', 'prefooter_background' => array ( 'background-color' => '#fff', 'background-repeat' => '', 'background-size' => '', 'background-position' => '', 'background-image' => '', 'media' => array ( 'id' => '', 'height' => '', 'width' => '', 'thumbnail' => '', ), ), 'prefooter_spacing' => array ( 'padding-top' => '60px', 'padding-bottom' => '24px', ), 'copyrightarea_switch' => '1', 'copyrightfooter-sidebars' => '1', 'copyright_text_colors' => 'auto', 'copyright_background' => array ( 'background-color' => '', 'background-repeat' => '', 'background-size' => '', 'background-position' => '', 'background-image' => '', 'media' => array ( 'id' => '', 'height' => '', 'width' => '', 'thumbnail' => '', ), ), 'copyright_footer_spacing' => array ( 'padding-top' => '18px', 'padding-bottom' => '6px', ), 'content_font' => array ( 'font-family' => 'Open Sans', 'font-options' => '', 'google' => '1', 'subsets' => '', ), 'title_font' => array ( 'font-family' => 'Montserrat', 'font-options' => '', 'google' => '1', 'subsets' => 'latin', ), 'button_nav_font' => array ( 'font-family' => 'Montserrat', 'font-options' => '', 'google' => '1', 'subsets' => 'latin', ), 'paragraph_colors_dark' => '#959595', 'heading_colors_dark' => '#595959', 'link_colors_dark' => array ( 'regular' => '#212121', 'hover' => '', 'active' => '', ), 'paragraph_colors_light' => '#ffffff', 'heading_colors_light' => '#ffffff', 'link_colors_light' => array ( 'regular' => '#ffffff', 'hover' => '', 'active' => '', ), 'body-font' => array ( 'font-family' => 'Open Sans', 'font-options' => '', 'google' => '1', 'font-backup' => '', 'font-weight' => '400', 'font-style' => '', 'subsets' => '', 'text-align' => '', 'text-transform' => '', 'font-size' => '15px', 'line-height' => '24px', 'word-spacing' => '', 'letter-spacing' => '', ), 'h1-font' => array ( 'font-family' => '', 'font-options' => '', 'google' => '1', 'font-backup' => '', 'font-weight' => '', 'font-style' => '', 'subsets' => '', 'text-align' => '', 'text-transform' => '', 'font-size' => '39px', 'line-height' => '48px', 'word-spacing' => '', 'letter-spacing' => '', ), 'h2-font' => array ( 'font-family' => '', 'font-options' => '', 'google' => '1', 'font-backup' => '', 'font-weight' => '', 'font-style' => '', 'subsets' => '', 'text-align' => '', 'text-transform' => '', 'font-size' => '33px', 'line-height' => '36px', 'word-spacing' => '', 'letter-spacing' => '', ), 'h3-font' => array ( 'font-family' => '', 'font-options' => '', 'google' => '1', 'font-backup' => '', 'font-weight' => '', 'font-style' => '', 'subsets' => '', 'text-align' => '', 'text-transform' => '', 'font-size' => '27px', 'line-height' => '36px', 'word-spacing' => '', 'letter-spacing' => '', ), 'h4-font' => array ( 'font-family' => '', 'font-options' => '', 'google' => '1', 'font-backup' => '', 'font-weight' => '', 'font-style' => '', 'subsets' => '', 'text-align' => '', 'text-transform' => '', 'font-size' => '24px', 'line-height' => '24px', 'word-spacing' => '', 'letter-spacing' => '', ), 'h5-font' => array ( 'font-family' => '', 'font-options' => '', 'google' => '1', 'font-backup' => '', 'font-weight' => '', 'font-style' => '', 'subsets' => '', 'text-align' => '', 'text-transform' => '', 'font-size' => '21px', 'line-height' => '24px', 'word-spacing' => '', 'letter-spacing' => '', ), 'h6-font' => array ( 'font-family' => '', 'font-options' => '', 'google' => '1', 'font-backup' => '', 'font-weight' => '', 'font-style' => '', 'subsets' => '', 'text-align' => '', 'text-transform' => '', 'font-size' => '18px', 'line-height' => '24px', 'word-spacing' => '', 'letter-spacing' => '', ), 'entry_heading' => array ( 'font-family' => '', 'font-options' => '', 'google' => '1', 'font-weight' => '400', 'font-style' => '', 'subsets' => '', 'text-align' => '', 'text-transform' => 'capitalize', 'font-size' => '30px', 'line-height' => '36px', 'letter-spacing' => '', ), 'post_meta' => array ( 'font-family' => '', 'font-options' => '', 'google' => '1', 'font-weight' => '400', 'font-style' => '', 'subsets' => '', 'text-transform' => '', 'font-size' => '13px', 'line-height' => '13px', ), 'add-sidebars' => array ( 0 => 'Orion custom sidebar', ), 'orion_custom_css_editor' => '', 'pattern' => '', 'site_search_bg_color' => '#2B354B', 'info_general_color_settings' => '', 'info_general_layout_settings' => '', 'info_pagesidebar_settings' => '', 'info_404_settings' => '', 'info_totop_settings' => '', 'info_singlepost_settings' => '', 'info_logo_settings' => '', 'info_header_settings' => '', 'info_classic_header_settings' => '', 'info_classic_header_widgets' => '', 'info_bottommenu_header_settings' => '', 'info_bottommenu_header_widgets' => '', 'info_navstyle_settings' => '', 'info_navstypo_settings' => '', 'info_mobileheader_settings' => '', 'info_navsearch_settings' => '', 'info_navigation_sticky_settings' => '', 'info_top_bar_settings' => '', 'info_page_title_settings' => '', 'info_classicheading_settings' => '', 'info_centerheading_settings' => '', 'info_leftheading_settings' => '', 'info_blogsettings_settings' => '', 'info_blogposts_settings' => '', 'info_footer_settings' => '', 'info_prefooter_settings' => '', 'info_general_font_settings' => '', 'info_darktext_widgets' => '', 'info_lighttext_widgets' => '', 'info_bodytypo_settings' => '', 'info_headingtypo_settings' => '', 'info_poststypo_settings' => '', 'info_sidebar_generator_settings' => '', 'wbc_demo_importer' => '', 'info_custom_css_settings' => '', 'redux_import_export' => '', 'redux-backup' => '1', 'one_page' => 0, );
	
	return $orion_defauls;

	}
}

/**
 * @return header template
 */
if(!function_exists('orion_get_header')) {
	function orion_get_header() {
		global $orion_options;
		if(empty($orion_options)) {
			$orion_options = orion_get_orion_defaults();
		}		

		if (isset($orion_options["orion_header_type"])) {
			return( get_template_part( 'templates/header/header', $orion_options["orion_header_type"] ));
		} else	{
			return( get_template_part( 'templates/header/header', 'classic' ));
		}

	}
}

if(!function_exists('orion_get_stickyHeader')) {
	function orion_get_stickyHeader() {
		global $orion_options;
		if(empty($orion_options)) {
			$orion_options = orion_get_orion_defaults();
		}		
		if (isset($orion_options["is_header_sticky"]) && $orion_options["is_header_sticky"] == '1') {
			return( get_template_part( 'templates/header/header', 'sticky' ));
		}
	}
} 

/**
 * @return breadcrumbs
 */
if(!function_exists('orion_get_breadcrumbs')) {
	function orion_get_breadcrumbs($heading_type) {
		global $orion_options;
		if(empty($orion_options)) {
			$orion_options = orion_get_orion_defaults();
		}		
		$orion_breadcrumbs_option = 'crumbs-onoff-'.$heading_type;

		if(!array_key_exists( $orion_breadcrumbs_option , $orion_options )) {
			return( get_template_part( 'templates/heading/content', 'breadcrumbs' ) );
		} else if (isset($orion_options[$orion_breadcrumbs_option]) && $orion_options[$orion_breadcrumbs_option] == '1') {
			return( get_template_part( 'templates/heading/content', 'breadcrumbs' ) );
		} 
	}
}

if(!function_exists('orion_hextorgba')) {
	function orion_hextorgba($hex, $alpha = false) {
	   $hex = str_replace('#', '', $hex);
	   if ( strlen($hex) == 6 ) {
	      $rgb['r'] = hexdec(substr($hex, 0, 2));
	      $rgb['g'] = hexdec(substr($hex, 2, 2));
	      $rgb['b'] = hexdec(substr($hex, 4, 2));
	   }
	   else if ( strlen($hex) == 3 ) {
	      $rgb['r'] = hexdec(str_repeat(substr($hex, 0, 1), 2));
	      $rgb['g'] = hexdec(str_repeat(substr($hex, 1, 1), 2));
	      $rgb['b'] = hexdec(str_repeat(substr($hex, 2, 1), 2));
	   }
	   else {
	      $rgb['r'] = '0';
	      $rgb['g'] = '0';
	      $rgb['b'] = '0';
	   }
	   if ( $alpha ) {
	      $rgb['a'] = $alpha;
	   } else {
	   	 $rgb['a'] = '1';
	   }
	   return 'rgba(' . $rgb['r'] .','. $rgb['g'] .','. $rgb['b'].','. $rgb['a']. ')';
	}
}

/**
 * darken / lighten
 **/
if(!function_exists('orion_adjustBrightness')) {
	function orion_adjustBrightness($hex, $steps) {
	    // Steps should be between -255 and 255. Negative = darker, positive = lighter
	    $steps = max(-255, min(255, $steps));

	    // Normalize into a six character long hex string
	    $hex = str_replace('#', '', $hex);
	    if (strlen($hex) == 3) {
	        $hex = str_repeat(substr($hex,0,1), 2).str_repeat(substr($hex,1,1), 2).str_repeat(substr($hex,2,1), 2);
	    }

	    // Split into three parts: R, G and B
	    $color_parts = str_split($hex, 2);
	    $return = '#';

	    foreach ($color_parts as $color) {
	        $color   = hexdec($color); // Convert to decimal
	        $color   = max(0,min(255,$color + $steps)); // Adjust color
	        $return .= str_pad(dechex($color), 2, '0', STR_PAD_LEFT); // Make two char hex code
	    }

	    return $return;
	}
}

if (!function_exists('orion_isColorLight')) {
	function orion_isColorLight($hex) {
	   $hex       = str_replace('#', '', $hex);
	   $r         = (hexdec(substr($hex, 0, 2)) / 255);
	   $g         = (hexdec(substr($hex, 2, 2)) / 255);
	   $b         = (hexdec(substr($hex, 4, 2)) / 255);
	   $lightness = round((((max($r, $g, $b) + min($r, $g, $b)) / 2) * 100));
	   return ($lightness >= 50 ? true : false);
	}
}	
/**
 * 
 * add search to the menu
 * @return search icon markup in main menu.
 *
 * used in templates/header/header-*
 */

if (!function_exists('orion_nav_wrap')) {
	function orion_nav_wrap() {
		$search_icon = false;
		$search_HTML_class = '';
		global $orion_options;
		if(empty($orion_options)) {
			$orion_options = orion_get_orion_defaults();
		}		

		if (isset($orion_options['search_icon'])) {
			$search_icon = $orion_options['search_icon'];
		}

		if ($search_icon != "1") {
			$wrap  = '<ul id="%1$s" class="%2$s">';
		    $wrap .= '%3$s';
		    $wrap .= '</ul>';
			return $wrap;
		} else {
		    $wrap  = '<ul id="%1$s" class="%2$s">';
		    $wrap .= '%3$s';
		    $wrap .= '<li class="menu-item search simple search-toggle">';
		    $wrap .= '<div class="to-x">';
		    $wrap .= '<div class="search-box">';
			$wrap .= '<div class="circle top"></div>';
			$wrap .= '<div class="circle bottom"></div>';
			$wrap .= '<div class="handle"></div>';
			$wrap .= '</div>';
		    $wrap .= '</div>';
		    $wrap .= '<div class="search-form hidden-md hidden-lg">';
		    $wrap .= get_search_form($echo = false);
		    $wrap .= '</div>';
		    $wrap .= '</li>';
		    $wrap .= '</ul>';
		return $wrap;}
	}
}
 
/**
 * @return passpartout
 */
if(!function_exists('orion_get_passepartout')) {
	function orion_get_passepartout() {
		global $orion_options;
		if(empty($orion_options)) {
			$orion_options = orion_get_orion_defaults();
		}		
		$dentalia_passepartout_data = "";
		if (!isset($orion_options['passepartout'])) {
			return;
		}
		$is_fullwidth = $orion_options['boxed_fullwidth']; 
		if($is_fullwidth != 1) {
			return;	
		}
		if ($orion_options['passepartout'] != '1') {
			return;
		//passpartue data exists
		} else {			
			/* passpart height */
			if ( $orion_options['passepartout_size']['height'] != '' ) {
				$passpartuet_height = $orion_options['passepartout_size']['height'];
			} else {
				$passpartuet_height = '24';
			}

			/* passpart width */
			if ( $orion_options['passepartout_size']['width'] != '' ) {
				$passpartuet_width = $orion_options['passepartout_size']['width'];
			} else {
				$passpartuet_width = '24';
			}

			/* passpart color */
			if ( $orion_options['passepartout_color'] != '' ) {
				$passepartout_color = $orion_options['passepartout_color'];
			} else {
				$passepartout_color = 'f8f8f8';
			}
			$dentalia_passepartout_data .= ' data-passepartoutheight='.$passpartuet_height;
			$dentalia_passepartout_data .= ' data-passepartoutwidth='.$passpartuet_width;
			$dentalia_passepartout_data .= ' data-passepartoutcolor='.$passepartout_color;
		}

		echo esc_attr($dentalia_passepartout_data);
	}
}

if(!function_exists('orion_get_logo')) {
	function orion_get_logo() {
		global $orion_options;
		if(empty($orion_options)) {
			$orion_options = orion_get_orion_defaults();
		}
		$logo_light = false;
		$logo_dark = false;
		$logos = 0;

		if(isset($orion_options['text_logo']) && $orion_options['text_logo'] != ''){
			$logo_text = $orion_options['text_logo'];
		} else {
			$logo_text = get_bloginfo('name');
		}
		if( isset($orion_options['logo_upload_light']['url']) && $orion_options['logo_upload_light']['url'] != "" ) {
			$logo_light = $orion_options['logo_upload_light']['url'];
			$logo = $logo_light;
			$logos ++;
		} 
		if( isset($orion_options['logo_upload_dark']['url']) && $orion_options['logo_upload_dark']['url'] != "" ) {
			$logo_dark = $orion_options['logo_upload_dark']['url'];
			$logo = $logo_dark;
			$logos ++;
		}	
		if ($logos == 0) : ?>
			<a class="site-title logo" href="<?php echo esc_url( home_url( '/' ) ); ?>"><span class="h1"><?php echo wp_kses_post( $logo_text );?></span></a>

		<?php elseif ($logos == 1) : ?>

			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo wp_kses_post( $logo_text );?>" class="logo logo-default">
				<img src="<?php echo esc_url($logo); ?>" alt="<?php echo wp_kses_post( $logo_text );?>" />
			</a>

		<?php else : ?>

			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo wp_kses_post( $logo_text );?>" class="logo logo-light">
				<img src="<?php echo esc_url($logo_light); ?>" alt="<?php echo wp_kses_post( $logo_text );?>" />
			</a>
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo wp_kses_post( $logo_text );?>" class="logo logo-dark">
				<img src="<?php echo esc_url($logo_dark); ?>" alt="<?php echo wp_kses_post( $logo_text );?>" />
			</a>
		<?php endif; 		
	}
}

if(!function_exists('orion_is_boxed')) {
	function orion_is_boxed($start_end) {
		
		$orion_options = get_option('dentalia', orion_get_orion_defaults());
		$is_fullwidth = $orion_options['boxed_fullwidth']; 

		if($is_fullwidth === '0') {
			if ($start_end == 'start') : ?>
				<div class="boxed-container primary-content">
			<?php else : ?>
				</div> <!-- boxed -->
			<?php endif;
		}
	}
}

if(!function_exists('orion_heading_classes')) {
	/**
	 * adds page heading HTML classes
	 * @return string (HTML classes)
	 */
	function orion_heading_classes() {
		
		$heading_classes = ' '; 
		if ( is_single() || is_page() || (is_home() && is_front_page() == false)) {
			if (is_home() && is_front_page() == false) {
				$page_for_posts = get_option( 'page_for_posts' );
				$orion_wp_meta = get_post_meta( $page_for_posts );
			} else  {
				$orion_wp_meta = get_post_meta( get_the_ID() );
			}
			if (isset($orion_wp_meta['_dentalia_heading_text_color']) && $orion_wp_meta['_dentalia_heading_text_color'][0] != 'text-default') {
				$heading_classes .= $orion_wp_meta['_dentalia_heading_text_color'][0];
			}
			if (isset($orion_wp_meta['_dentalia_orion_overlay']) && $orion_wp_meta['_dentalia_orion_overlay'][0] != 'default') {
				$heading_classes .= ' ' . $orion_wp_meta['_dentalia_orion_overlay'][0];
			}
			if (isset($orion_wp_meta['_dentalia_orion_parallax']) && $orion_wp_meta['_dentalia_orion_parallax'][0] != 'default') {
				$heading_classes .= ' ' . $orion_wp_meta['_dentalia_orion_parallax'][0];
				if($orion_wp_meta['_dentalia_orion_parallax'][0] != 'fixed') {
					$heading_classes .= ' orion-parallax';
				}
			}
		}
		return $heading_classes;
	}
}

if(!function_exists('orion_heading_style')) {
	/**
	 * adds page heading HTML classes
	 * @return string (HTML classes)
	 */
	function orion_heading_style() {
		$heading_style = ' '; 

		if ( is_single() || is_page() || (is_home() && is_front_page() == false)) {
			if (is_home() && is_front_page() == false) {
				$page_for_posts = get_option( 'page_for_posts' );
				$orion_wp_meta = get_post_meta( $page_for_posts );
			} else  {
				$orion_wp_meta = get_post_meta( get_the_ID() );
			}			
			$heading_style = 'style="';
			if (isset($orion_wp_meta['_dentalia_heading_bg_image'])) {
				$heading_style .= 'background-image: url(' . $orion_wp_meta['_dentalia_heading_bg_image'][0] . ');';
			}
			if (isset($orion_wp_meta['_dentalia_top_padding'][0]) && $orion_wp_meta['_dentalia_top_padding'][0] != '') {
				$heading_style .= ' padding-top:' . intval(preg_replace('/[^0-9]+/', '', $orion_wp_meta['_dentalia_top_padding'][0]), 10) . 'px;';
			}
			if (isset($orion_wp_meta['_dentalia_bottom_padding'][0]) && $orion_wp_meta['_dentalia_bottom_padding'][0] != '') {
				$heading_style .= ' padding-bottom:' . intval(preg_replace('/[^0-9]+/', '', $orion_wp_meta['_dentalia_bottom_padding'][0]), 10) . 'px;';
			}	
			$heading_style .= '"';

		} else {
			$heading_style = '';
		}
		return $heading_style;
	}
}

if(!function_exists('orion_get_class_cb')) {
	/**
	 * Echo any class (if needed) from a checkbox options or a switch
	 * @param  string $the_orion_option  redux option name
	 * @param  string $def_class_name 	 class to return if checked
	 * @param  string $alt_class_name  	 class to return if NOT checked
	 * @param  string $default  		 in case there is no option value saved echo def_class_name unless specified 'off'
	 * @return echo HTML class
	 */
	function orion_get_class_cb( $the_orion_option, $def_class_name, $alt_class_name="", $default="on" ) {
		$orion_options = get_option('dentalia', orion_get_orion_defaults());

		$html_class = "";

		if (isset($orion_options[$the_orion_option])) {
			if ($orion_options[$the_orion_option] == 1 || $orion_options[$the_orion_option] == 'on') {
				if ($def_class_name == "noclass") {
					$html_class = '';
				} else {
					$html_class .= $def_class_name;
				}					
			} else {
				if ($alt_class_name == "noclass") {
					$html_class = '';
				} else {
					$html_class .= $alt_class_name;
				}	
			}
		} else {
			// no option is found			
			$arg_num = func_num_args();
			switch ($arg_num) {
				case 4:
					if ($default != "noclass") {
						$html_class .= $default;
					}
					break;
			    case 2:
			    case 3:
						$html_class .= $def_class_name;
					break;
			}

		}
		// echo appropriate HTML class
		echo esc_attr($html_class);
	}
}

//function orion_option
if(!function_exists('orion_get_option')) {
	/**
	 * get HTML classes from theme options
	 * @param  string $the_orion_option 
	 * @param  bolean $echo 
	 * @param  string $default
	 * @return string
	 */
	function orion_get_option($the_orion_option, $echo = true, $default = false) {
		$html_class = "";
		//	if the option is NOT saved in the database
		$orion_options = get_option('dentalia', orion_get_orion_defaults());
		if ( !isset($orion_options[$the_orion_option]) || $orion_options[$the_orion_option] == "" ) {
			if ($default) {
				if ($echo) {
					echo esc_attr($default);		
				} else {
					return $default;
				}
			}		
		} else { 
			$html_class .= $orion_options[$the_orion_option];
		}

		if ($echo) {
			echo esc_attr($html_class);		
		} else {
			return $html_class;
		}
	}
}

if(!function_exists('orion_get_real_option')) {
	/**
	 * Same as orion_get_option, but requires redux options and ignores defaults.
	 * @param  string $the_orion_option 
	 * @param  bolean $echo 
	 * @param  string $default
	 * @return string
	 */
	function orion_get_real_option($the_orion_option, $echo = true, $default = false) {

		$html_class = "";
		//	if the option is NOT saved in the database
		$orion_options = get_option('dentalia');

		if ( !isset($orion_options[$the_orion_option]) || $orion_options[$the_orion_option] == "" ) {
			if ($default) {
				if ($echo) {
					echo esc_attr($default);		
				} else {
					return $default;
				}
			}		
		} else { 
			$html_class .= $orion_options[$the_orion_option];
		}

		if ($echo) {
			echo esc_attr($html_class);		
		} else {
			return $html_class;
		}
	}
}

//function orion_option
if(!function_exists('orion_get_theme_option_css')) {
	/**
	 * get options values from deep in theme option array, if is not set, return the backup option, else return default.
	 * Accepts arrays too. ie:
	 * 
	 * orion_get_theme_option_css(array('link_color','regular'), 'red', 'main_theme_color');
	 * or
	 * orion_get_theme_option_css(array('link_color','regular'), 'red', '')
	 *
	 * 1. checks for orion_options[link_color][regular], 
	 * 2. if there is no value, checks main_theme_color, 
	 * 3. if still none, echoes red
	 * 
	 * returns string 
	 */
	function orion_get_theme_option_css($theme_option_1, $default = false, $theme_option_2 = false) {

		global $orion_options;
		if(empty($orion_options)) {
			$orion_options = orion_get_orion_defaults();
		}		
		$css = "";

		/* check first theme option */
		$status = true;
		$new_orion_options = $orion_options;
		if (is_string($theme_option_1)) {
            if (isset($orion_options[$theme_option_1]) && $orion_options[$theme_option_1] != '') {
            	$new_orion_options = $orion_options[$theme_option_1]; 
            }
		} else {	
			foreach ( $theme_option_1 as $option ) {   
		        if($status) {
		            if (isset($new_orion_options[$option]) && $new_orion_options[$option] != '') {
		                $new_orion_options = $new_orion_options[$option]; 
		            } else {
		                $status = false;
		            }
		        }
	   		}
		}	   		
   		if (is_string($new_orion_options)) {
   			return($new_orion_options);
   		/* check second theme option */
   		} else {
   			$status = true;
   			$new_orion_options = $orion_options;
   			if ($theme_option_2 == false) {
   				//just move on
   			} else if (is_string($theme_option_2)) {
	            if (isset($orion_options[$theme_option_2]) && $orion_options[$theme_option_2] != '') {
	            	$new_orion_options = $orion_options[$theme_option_2]; 
	            }
			} else {		
				foreach ( $theme_option_2 as $option ) {   
			        if($status) {
			            if (isset($new_orion_options[$option]) && $new_orion_options[$option] != '') {
			                $new_orion_options = $new_orion_options[$option];
			            } else {
			                $status = false;
			            }
			        }
		   		}
		   	}	 		
	  		if (is_string($new_orion_options)) {
	   			return($new_orion_options);
	   		/* if everything fails, return default */
			} else {
				return($default);
			}
		}	
	} 
}
//function orion_option

if(!function_exists('orion_option_css')) {
	/**
	 * echoes options values from deep in theme option array, if is not set, return the backup option, else return default.
	 * Accepts arrays too. ie:
	 * 
	 * orion_option_css(array('link_color','regular'),'main_theme_color', 'red');
	 *
	 * 1. checks for orion_options[link_color][regular], 
	 * 2. if there is no value, checks main_theme_color, 
	 * 3. if still none, echoes red
	 * 
	 * echo string
	 */
	

	function orion_option_css($theme_option_1, $default = false, $theme_option_2 = false) {
		global $orion_options;
		if(empty($orion_options)) {
			$orion_options = orion_get_orion_defaults();
		}		
		$css = "";

		/* check first theme option */
		$status = true;
		$new_orion_options = $orion_options;
		if (is_string($theme_option_1)) {
            if (isset($orion_options[$theme_option_1]) && $orion_options[$theme_option_1] != '') {
            	$new_orion_options = $orion_options[$theme_option_1]; 
            } else {
            	$status = false;
            }
		} else {
			foreach ( $theme_option_1 as $option ) {   
		        if($status) {
		            if (isset($new_orion_options[$option]) && $new_orion_options[$option] != '') {
		                $new_orion_options = $new_orion_options[$option]; 
		            } else {
		                $status = false;
		            }
		        }
	   		}
		}	   		
   		if (is_string($new_orion_options) && is_string($new_orion_options)!='') {
   			echo esc_attr($new_orion_options);
   		/* check second theme option */
   		} else {

   			$status = true;
   			$new_orion_options = $orion_options;
   			if ($theme_option_2 == false) {
   				//just move on
   			} else if (is_string($theme_option_2)) {
	            if (isset($orion_options[$theme_option_2]) && $orion_options[$theme_option_2] != '') {
	            	$new_orion_options = $orion_options[$theme_option_2]; 
	            }
			} else {		
				foreach ( $theme_option_2 as $option ) {   
			        if($status) {
			            if (isset($new_orion_options[$option]) && $new_orion_options[$option] != '') {
			                $new_orion_options = $new_orion_options[$option];
			            } else {
			                $status = false;
			            }
			        }
		   		}
		   	}	 		
	  		if (is_string($new_orion_options) && is_string($new_orion_options)!=NULL) {
	   			echo esc_attr($new_orion_options);
	   		/* if everything fails, return default */
			} else {
				echo esc_attr($default);
			}
		}	
	} 
}
// dump Redux theme options
/**
 * Function used for debugging and developpment purpuses
 * @param  [type]  $option   [description]
 * @param  boolean $dontexit [description]
 * @return [type]            [description]
 */
function orion_dump_option($option, $dontexit = false){
	global $orion_options;	 
	$the_option = $orion_options[$option];

	var_dump($the_option);
	if ($dontexit) {
		Exit;
	}
}

/* Page heading */
if(!function_exists('orion_get_page_heading')) {
	function orion_get_page_heading() {
		$orion_wp_meta = get_post_meta( get_the_ID() );
		if (isset($orion_wp_meta['_dentalia_hide_heading']) && ($orion_wp_meta['_dentalia_hide_heading'][0] == 'on')) {
			return;
		} else {	
			if ( ( is_single() || is_page() ) && isset($orion_wp_meta['_dentalia_heading_type']) ) {
				get_template_part( 'templates/heading/content-heading', $orion_wp_meta['_dentalia_heading_type'][0] );

			} else if (is_page() && is_array($orion_wp_meta) && !array_key_exists('_dentalia_heading_type', $orion_wp_meta ) && orion_get_real_option('post_heading_type', false, 'no_value') == 'no_value'){
				get_template_part( 'templates/heading/content-heading', 'classic' );

			} else {
				get_template_part( 'templates/heading/content-heading', orion_get_real_option('post_heading_type', false) );
			}
		}			
	}
}

/* .site-main paddings */
if(!function_exists('get_orion_page_padding')) { 
	function get_orion_page_padding() {
		$orion_wp_meta = get_post_meta( get_the_ID() );
		$html_classes = '';
 		if (isset($orion_wp_meta['_dentalia_remove_padding_top']) && ($orion_wp_meta['_dentalia_remove_padding_top'][0] == 'on')) {
			$html_classes .= ' notoppadding';
		}
		if (isset($orion_wp_meta['_dentalia_remove_padding_bottom']) && ($orion_wp_meta['_dentalia_remove_padding_bottom'][0] == 'on')) {
			$html_classes .= ' nobottompadding';
		}				
		return $html_classes;
	}
}

/*sidebars*/
function orion_get_sidebars() {
	$num_of_sidebars = '0';
	$right_sidebar = "no_sidebar";
	$left_sidebar = 'no_sidebar';
	$ot_sidebars = array(
		'primary_class' => 'col-md-12', 
		'left_sidebar_class' => '', 
		'right_sidebar_class' =>'',
		'ot_left_sidebar_id' => '',
		'ot_right_sidebar_id' => ''		
	);

	if (is_single()) {
		$orion_wp_meta = get_post_meta( get_the_ID() );
		if (isset($orion_wp_meta['_dentalia_post_sidebar_select_left']) && ($orion_wp_meta['_dentalia_post_sidebar_select_left'][0] != 'no_sidebar')) {
			$ot_sidebars['ot_left_sidebar_id'] = $orion_wp_meta['_dentalia_post_sidebar_select_left'][0];
		  	$num_of_sidebars++;   
		}		
		if (isset($orion_wp_meta['_dentalia_post_sidebar_select_right']) && ($orion_wp_meta['_dentalia_post_sidebar_select_right'][0] != 'no_sidebar')) {
			$ot_sidebars['ot_right_sidebar_id'] = $orion_wp_meta['_dentalia_post_sidebar_select_right'][0];
		  	$num_of_sidebars++;   
		}
	} else if(is_page()){		

		$orion_wp_meta = get_post_meta( get_the_ID() );
		if (isset($orion_wp_meta['_dentalia_page_sidebar_select_left']) && ($orion_wp_meta['_dentalia_page_sidebar_select_left'][0] != 'no_sidebar')) {
			$ot_sidebars['ot_left_sidebar_id'] = $orion_wp_meta['_dentalia_page_sidebar_select_left'][0];
		  	$num_of_sidebars++;   
		}		
		if (isset($orion_wp_meta['_dentalia_page_sidebar_select_right']) && ($orion_wp_meta['_dentalia_page_sidebar_select_right'][0] != 'no_sidebar')) {
			$ot_sidebars['ot_right_sidebar_id'] = $orion_wp_meta['_dentalia_page_sidebar_select_right'][0];
		  	$num_of_sidebars++;   
		}
			
	} else if (is_archive() || is_search()) {
		global $orion_options;
		if(empty($orion_options)) {
			$orion_options = orion_get_orion_defaults();
		}		
		if (isset($orion_options['archive_blog_sidebar_left_defaults']) && ($orion_options['archive_blog_sidebar_left_defaults'] != "")) {
           $ot_sidebars['ot_left_sidebar_id'] = $orion_options['archive_blog_sidebar_left_defaults'];
           $num_of_sidebars++; 
        } 
     	if (isset($orion_options['archive_blog_sidebar_right_defaults']) && ($orion_options['archive_blog_sidebar_right_defaults'] != "")) {
           $ot_sidebars['ot_right_sidebar_id'] = $orion_options['archive_blog_sidebar_right_defaults'];
           $num_of_sidebars++; 
        }
	} else if (is_home() || is_front_page() == false) {     
		$orion_wp_meta = get_post_meta( get_option( 'page_for_posts' ) );

		if (isset($orion_wp_meta['_dentalia_page_sidebar_select_left']) && ($orion_wp_meta['_dentalia_page_sidebar_select_left'][0] != 'no_sidebar')) {
			$ot_sidebars['ot_left_sidebar_id'] = $orion_wp_meta['_dentalia_page_sidebar_select_left'][0];
		  	$num_of_sidebars++;   
		}		
		if (isset($orion_wp_meta['_dentalia_page_sidebar_select_right']) && ($orion_wp_meta['_dentalia_page_sidebar_select_right'][0] != 'no_sidebar')) {
			$ot_sidebars['ot_right_sidebar_id'] = $orion_wp_meta['_dentalia_page_sidebar_select_right'][0];
		  	$num_of_sidebars++;   
		}
	} else {
		$num_of_sidebars = '0';
	}
	
	switch ($num_of_sidebars) {
		case '0' :
			$ot_sidebars['primary_class'] = " col-md-12";
			break;

		case '1' :
			$ot_sidebars['primary_class']=" col-md-8";
			if($ot_sidebars['ot_left_sidebar_id'] != '' ){
			  	$ot_sidebars['left_sidebar_class'] = ' col-md-4 col-md-pull-8';
			  	$ot_sidebars['primary_class'] .= ' col-md-push-4';
			}
			if($ot_sidebars['ot_right_sidebar_id'] != '' ){
				$ot_sidebars['right_sidebar_class'] = " col-md-4";	
			}
			break;

		case '2' :
		    $ot_sidebars['primary_class'] = " col-md-6 col-md-push-3";
		    $ot_sidebars['left_sidebar_class'] = " col-md-3 col-md-pull-6";
		    $ot_sidebars['right_sidebar_class'] = " col-md-3";
			break;

		default:
			
			$ot_sidebars['primary_class'] = " col-md-12";			
			break;
	}
	return $ot_sidebars;	
}

function orion_display_prefooter() {
	$should_display = false;
	if (orion_get_option('prefooter_switch', false) == 1) {
		$should_display = true;
	}

	if(is_page()){		
		$orion_wp_meta = get_post_meta( get_the_ID() );
		if ( isset($orion_wp_meta['_dentalia_hide_prefooter']) && ($orion_wp_meta['_dentalia_hide_prefooter'] == true) ) {	
			$should_display = false;
		}
	}

	return $should_display;
}

/* excerpt length */
function orion_excerpt_length($limit) {
	$excerpt = get_the_excerpt();
	$excerpt = preg_replace('/(<script[^>]*>.+?<\/script>|<style[^>]*>.+?<\/style>)/s', '', $excerpt);
	$excerpt = strip_shortcodes( $excerpt );
	$excerpt = strip_tags($excerpt);
	$excerpt = str_replace(']]>', ']]&gt;', $excerpt);
    $excerpt = wp_trim_words(get_the_excerpt(), $limit);
    return $excerpt;
}

/* Comments */
if(!function_exists('orion_comments')) {
	function orion_comments($comment, $args, $depth) {

	    if ( 'div' === $args['style'] ) {
	        $tag       = 'div';
	        $add_below = 'comment';
	    } else {
	        $tag       = 'li';
	        $add_below = 'div-comment';
	    }
	    ?>
	    <<?php echo $tag ?> <?php comment_class( empty( $args['has_children'] ) ? '' : 'parent' ) ?> id="comment-<?php comment_ID() ?>">
	    <?php if ( 'div' != $args['style'] ) : ?>
	        <div id="div-comment-<?php comment_ID() ?>" class="comment-body">
	    <?php endif; ?>
	    <div class="comment-author vcard">
	        <?php if ( $args['avatar_size'] != 0 ) echo get_avatar( $comment, $args['avatar_size'] ); ?>
	        <?php printf( __( '<cite class="fn"><h6 class="comment-author-name">%s</h6></cite>', 'dentalia' ), get_comment_author_link() ); ?>
	    </div>
	    <?php if ( $comment->comment_approved == '0' ) : ?>
	         <em class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.', 'dentalia' ); ?></em>
	          <br />
	    <?php endif; ?>
	    <div class="comment-content">
	    	<?php comment_text(); ?>
	    </div>
	    <div class="comment-meta commentmetadata meta-data"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ); ?>">
	        <?php
	        /* translators: 1: date, 2: time */
	        printf( __('%1$s at %2$s', 'dentalia'), get_comment_date(),  get_comment_time() ); ?></a><?php edit_comment_link( __( '(Edit)', 'dentalia' ), '  ', '' );
	        ?>
	    </div>

	    <div class="reply">
	        <?php comment_reply_link( array_merge( $args, array( 'add_below' => $add_below, 'depth' => $depth, 'max_depth' => $args['max_depth'], 'reply_text' => __( '<span class="font-3">Reply <i class="fa fa-reply primary-color"></i></span>', 'dentalia' ) ) ) ); ?>
	    </div>
	    <?php if ( 'div' != $args['style'] ) : ?>
	    </div>
	    <?php endif; ?>
	    <?php
	}
}

/* Page title */
if(!function_exists('orion_page_title')) {
    function orion_page_title() {
        if(is_home() && is_front_page()) {
        	echo bloginfo ( 'description' );
        } else if( is_home() && !is_front_page()) {
	    	 echo get_the_title(get_option('page_for_posts'));;
        } else if( is_day() ) {
            echo esc_html__('Daily Archives', 'dentalia') . ': ' . get_the_date();
        } else if( is_month() ) {
            echo esc_html__('Monthly Archives', 'dentalia') . ': ' . get_the_time('F');
        } else if( is_year() ) {
            echo esc_html__('Yearly Archives', 'dentalia') . ': ' . get_the_time('Y');
        } else if( is_search() ) {
            echo esc_html__('Search results', 'dentalia');
        } else if( is_tag() ) {
            echo single_tag_title('', false);
        } else if( is_category() ) {
            echo single_cat_title('', false);
        } else if( is_tax() ) {
        	$term = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) ); 
        	echo esc_html($term->name);
        } else if( function_exists('is_shop') && is_shop() ) {
            echo get_the_title(get_option( 'woocommerce_shop_page_id' ));
        } else if( is_404() ) {
            echo esc_html__('Page not found', 'dentalia');
        } else if( is_author() ) {
            echo esc_html__('Articles posted by', 'dentalia') . ' ' . get_the_author();
		} else if(is_post_type_archive('team-member')) {
			echo esc_html__('The Team', 'dentalia');
	    } else {
            echo get_the_title();
        }
    }
}

if(!function_exists('orion_custom_styles')) {
	/**
	 * Generate custom styles
	 * @return custom css
	 */
	function orion_custom_styles() {
	    if ( file_exists( get_template_directory() . '/framework/css/custom-styles.php' ) ) {
	        require_once get_template_directory() . '/framework/css/custom-styles.php';
	    }
	}
}

if(!function_exists('orion_addhttp')) {
	function orion_addhttp($url) {
	    if (!preg_match("~^(?:f|ht)tps?://~i", $url) && !preg_match('/#/', $url) ) {
	        $url = "http://" . $url;
	    }
	    return $url;
	}
}

if(!function_exists('get_gallery_attachments')) {
	function get_gallery_attachments(){
		global $post;
		
		$post_content = $post->post_content;
		preg_match('/\[gallery.*ids=.(.*).\]/', $post_content, $ids);

		if (!empty($ids)) {
			$images_id = explode(",", $ids[1]);
			return $images_id;
		}
	}
}

/**
 * returns blog type
 * @return blog type
 */
if(!function_exists('orion_get_blog_type')) {
	function orion_get_blog_type () {
		global $orion_options;
		if(empty($orion_options)) {
			$orion_options = orion_get_orion_defaults();
		}		
		if (array_key_exists('blog_layout', $orion_options)) {
			return $orion_options['blog_layout'];
		} else {
			return 'classic';
		}
	}
}

if(!function_exists('orion_paging_nav')) {
	/**
	 * create blog pagination
	 * @return pagination
	 */
	function orion_paging_nav() {
	  // Don't print empty markup if there's only one page.
	  if ( $GLOBALS['wp_query']->max_num_pages < 2 ) {
	    return;
	  }

	  $paged        = get_query_var( 'paged' ) ? intval( get_query_var( 'paged' ) ) : 1;
	  $pagenum_link = html_entity_decode( get_pagenum_link() );
	  $query_args   = array();
	  $url_parts    = explode( '?', $pagenum_link );

	  if ( isset( $url_parts[1] ) ) {
	    wp_parse_str( $url_parts[1], $query_args );
	  }

	  $pagenum_link = remove_query_arg( array_keys( $query_args ), $pagenum_link );
	  $pagenum_link = trailingslashit( $pagenum_link ) . '%_%';

	  $format  = $GLOBALS['wp_rewrite']->using_index_permalinks() && ! strpos( $pagenum_link, 'index.php' ) ? 'index.php/' : '';
	  $format .= $GLOBALS['wp_rewrite']->using_permalinks() ? user_trailingslashit( 'page/%#%', 'paged' ) : '?paged=%#%';

	  // Set up paginated links.
	  $links = paginate_links( array(
	    'base'     => $pagenum_link,
	    'format'   => $format,
	    'total'    => $GLOBALS['wp_query']->max_num_pages,
	    'current'  => $paged,
	    'mid_size' => 3,
	    'add_args' => array_map( 'urlencode', $query_args ),
	    'prev_text' => __( '&larr;', 'dentalia' ),
	    'next_text' => __( '&rarr;', 'dentalia' ),
	    'type'      => 'list',
	  ) );

	  if ( $links ) :
	  ?>
	  <nav class="navigation paging-navigation clearfix">
	    <h3 class="screen-reader-text"><?php _e( 'Posts navigation', 'dentalia' ); ?></h3>
	      <?php echo wp_kses_post($links);?> 
	  </nav><!-- .navigation -->
	  <?php
	  endif;
	}
}

/************************************* O.o *************************************/
/*                             FILTER FUNCTIONS                           	   */ 
/*******************************************************************************/

/* back to top button */
if(!function_exists('orion_back_to_top')) {
	function orion_back_to_top() {
		if (orion_get_theme_option_css('back_to_top', '0') == true)  :?>
	    	<a class="back-to-top primary-color-bg hideit" href="#"></a>
		<?php endif; 
	}
}	
add_action( 'wp_footer', 'orion_back_to_top' );


/**
 * Filter the excerpt "read more" string.
 *
 * @param string $more "Read more" excerpt string.
 * @return string modified "read more" excerpt string.
 */
if(!function_exists('orion_excerpt_more')) {
	function orion_excerpt_more( $more ) {
	    return '';
	}
}		
add_filter( 'excerpt_more', 'orion_excerpt_more' );

/** 
* Vertical menu toggle
* @return "vertical-menu" if vertical menu is turned on in theme options.
*/
if(!function_exists('orion_has_vertical_menu')) {
	function orion_has_vertical_menu() {
		global $orion_options;
		$orion_headertype = 'classic';
		if (isset($orion_options["orion_header_type"])) {
			$orion_headertype = $orion_options["orion_header_type"];	
		}
		if ($orion_headertype == 'vertical') {	
			return('vertical-menu');
		}
	}
}
if(!function_exists('orion_body_boxed_class')) {
	function orion_body_boxed_class() {
		$orion_options = get_option('dentalia', orion_get_orion_defaults());
		if ($orion_options['boxed_fullwidth'] === '0') {	
			return('boxed');
		}
	}
}

if(!function_exists('orion_one_page')) {
	function orion_one_page() {
		$orion_options = get_option('dentalia', array());
		 if (array_key_exists( 'one_page', $orion_options )) {
			if ($orion_options['one_page'] === '1') {	
				return('one-page');
			}
		 }
	}
}

/**
* add custom HTML classes to the <body> element.
* @param  $classes 
* @return <body> HTML classes 
*/
if(!function_exists('orion_body_classes')) {
	function orion_body_classes( $classes ) {	
		array_push( $classes, orion_has_vertical_menu());
		array_push( $classes, orion_body_boxed_class());
		array_push( $classes, orion_one_page());
		// push additional classes here, if needed...
	return $classes;}
}
add_filter( 'body_class', 'orion_body_classes' );

/* tag cloud */
if(!function_exists('orion_tag_cloud_args')) {
	function orion_tag_cloud_args( $args ) {
		$args['largest'] = 15;
		$args['smallest'] = 11;
		$args['unit'] = 'px';
		return $args;
	}
}
add_filter( 'widget_tag_cloud_args', 'orion_tag_cloud_args' );
/**
 * fallback for wp_nav_menu. Instead of not showing anyhing if there is no primary menu, fallback to wp_page_menu and adjust the markup.
 * @param  page_markup (default pagemenu markup)
 * @return markup adjusted for styling
 */
if(!function_exists('orion_page_menu')) {
	function orion_page_menu ($page_markup) {
	    $toreplace = 'nav-menu';
	    $new_markup = str_replace($toreplace, 'main-nav-wrap no-primary-nav', $page_markup);
	    $new_markup = preg_replace('<ul>', 'ul class="nav-menu float-right"', $new_markup, 1);
	    $new_markup = preg_replace('<page_item>', 'page_item menu-item', $new_markup);
	    $new_markup = preg_replace('<children>', 'sub-menu', $new_markup);
	    $new_markup = preg_replace('<menu-item_has_sub-menu>', 'menu-item-has-children', $new_markup);
	return $new_markup; }
}
add_filter('wp_page_menu', 'orion_page_menu');
