<?php 
// get sticky header bg color 
$navigation_type = orion_get_theme_option_css('sticky_navigation_style', 'nav-style-1', 'navigation_style');
$header_style = orion_get_theme_option_css('sticky_navigation_links_color_style', 'nav-dark', 'navigation_links_color_style');

if($header_style == 'nav-dark') {
	$color_3 = orion_get_theme_option_css('color_3', '#1F2A44' );
	$header_bg_color = orion_get_theme_option_css(array('sticky_header_background','background-color'),$color_3, 'nav_menu_bg_color_nav_dark');
} else {
	$header_bg_color = orion_get_theme_option_css(array('sticky_header_background','background-color'),"#fff", 'nav_menu_bg_color_nav_light');
}

if(orion_isColorLight($header_bg_color)){
	$text_color_class = 'text-dark'; 
} else {
	$text_color_class = 'text-light'; 
}
?>
<header class="stickymenu hidesticky <?php echo esc_attr($header_style);?> <?php echo esc_attr($navigation_type);?>">
	<div class="nav-container">
		<div class="container">
			 <div class="relativewrap row">
			 	<div class="site-branding absolute left <?php echo esc_attr($text_color_class); ?>">
			 		<?php orion_get_logo(); ?>
			 	</div>
			 	<div class="col-md-12 site-navigation">
			 		<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'nav-menu float-right', 'container_class' => 'main-nav-wrap text-left clearfix', 'items_wrap' => orion_nav_wrap() ) ); ?>
			 	</div>	 	
			</div>
		</div>
	</div>
</header>
