<?php //global $orion_options; 

// widget area width
if (orion_get_option('header_widgets_width', false, 'col-md-8' ) == 'col-md-6') {
	$branding_b_class = 'col-md-6';
	$widget_b_class = 'col-md-6';
} else if (orion_get_option('header_widgets_width', false, 'col-md-8' ) == 'col-md-9') {
	$branding_b_class = 'col-md-3';
	$widget_b_class = 'col-md-9';
} else {
	$branding_b_class = 'col-md-4';
	$widget_b_class = 'col-md-8';
}

// header bg color class (text-color)
$header_bg_color = orion_get_theme_option_css(array('header_background','background-color'), '#fff');
if(orion_isColorLight($header_bg_color)){
	$text_color_class = 'text-dark'; 
} else {
	$text_color_class = 'text-light'; 
}

if ( orion_get_option('header_width_with_widgets', false, '0') == 1) {
	$container_class = 'container-fluid';
} else {
	$container_class = 'container';
}
?>

<header class="header-with-widgets site-header type-fluid-nav <?php orion_get_option('navigation_links_color_style', true, 'nav-dark');?> <?php orion_get_option('navigation_style', 'nav-style-1' );?>">
	<div class="mainheader section">
		<div>
			<div class="<?php echo esc_attr($container_class);?>">
				<div class="row">
					<div class="site-branding <?php echo esc_attr($branding_b_class);?> text-left <?php echo esc_attr($text_color_class);?>">
						<?php orion_get_logo(); ?>
					</div>

					<div class="relative-wrap <?php echo esc_attr($widget_b_class);?>">		
						<div class="row header-widgets text-right <?php echo esc_attr($text_color_class);?>">
							<?php dynamic_sidebar( 'sidebar-widgetsfluid-header' ); ?>
						</div>
					</div>
					<div class="hidden-lg hidden-md text-center burger-container">
						<div class="to-x">
							<div class="hamburger-box">
								<div class="bun top"></div>
								<div class="meat"></div>
								<div class="bun bottom"></div>
							</div>
						</div>
					</div>					
				</div>
			</div>
 
			<div class="nav-container <?php orion_get_class_cb('is_header_sticky', 'stickynav', 'noclass');?>"> 
				<div class="<?php echo esc_attr($container_class);?>">					
					<div class="row">
						<?php // Navigation ?>
						<div class="col-md-12">
							<nav id="primary-navigation" class="site-navigation" role="navigation">
								<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'nav-menu text-left clearfix', 'container_class' => 'main-nav-wrap text-left', 'items_wrap' => orion_nav_wrap() ) ); ?>
			                </nav>
						</div>					
					</div>
				</div>
			</div>
		</div>
	</div>
</header>


