<?php
/*
Widget Name: (OrionThemes) Featured Pages
Description: Displays Featured pages
Author: OrionThemes
Author URI: http://orionthemes.com
Widget URI: http://orionthemes.com
*/

function orion_return_pages_array() {
	$pages = get_pages();
	$all_pages = array();
	foreach ( $pages as $page ) {
		$id = $page->ID;
		$page_title = $page->post_title;
		$all_pages[$id] = $page_title;
	}
	return  $all_pages;
}


class orion_featured_pages extends SiteOrigin_Widget {

	function __construct() {

		parent::__construct(
			'orion_featured_pages',
			__('(OrionThemes) Featured Pages', 'dentalia'),
			array(
				'description' => __('Displays selected pages in a grid or carousel.', 'dentalia'),
				'panels_groups' => array('dentalia'),
				'panels_icon' => 'orion dashicons dashicons-screenoptions'
			),
			array(

			),
			array(
			    'title' => array(
			        'type' => 'text',
			        'label' => __('Widget Title', 'dentalia'),
			    ),				
				'pages_repeater' => array(
			        'type' => 'repeater',
			        'label' => __( 'Add pages' , 'dentalia' ),
			        'item_name'  => __( 'Click to select a page', 'dentalia' ),
			        'item_label' => array(
			            'selector'     => "[id*='page_id'] option:selected",
			            'update_event' => 'change',
			            'value_method' => 'text'
			        ),
		        	'fields' => array(
						'page_id' => array(
							'type' => 'select',
							'label' => __( 'Choose page by title.', 'dentalia' ),
							'description' => __( 'Add excerpt and featured image on page edit screen, to display it inside widget.', 'dentalia' ),
							'default' => '',
							'options' => orion_return_pages_array(),
						),
						'page_icon' => array(
					        'type' => 'icon',
					        'label' => __('Select an icon', 'dentalia'),
					    ),
						'icon_color' => array(
					        'type' => 'color',
					        'label' => __( 'Icon color', 'dentalia' ),
					        'default' => '#fff'
					    ),					    
						'icon_bg_color' => array(
					        'type' => 'color',
					        'label' => __( 'Icon Background color', 'dentalia' ),
					        'default' => orion_get_option('main_theme_color', false, '#00BCD4' ),

					    ),
					),
		        ),
		        'per_row' => array(
					'type' => 'select',
					'label' => __('Elements per row', 'dentalia'),	
				    'options' => array(
						'1'	=> '1',
				    	'2'	=> '2',
			            '3'	=> '3',
			            '4'	=> '4',
			            '6'	=> '6',
		       		),
				    'default' => 3,		
		       	),	 		        
				'display_layout' => array(
					'type' => 'select',
					'label' => __( 'Choose Layout', 'dentalia' ),
					'default' => 'grid',
					'options' => array(
			            'carousel' => __( 'Carousel', 'dentalia' ),
			            'grid' => __( 'Grid', 'dentalia' ),
					)			            					
				),
				'text_color' => array(
					'type' => 'select',
					'label' => __( 'Text color', 'dentalia' ),
					'default' => 'text-default',
					'options' => array(
						'text-default' => __( 'Default', 'dentalia' ),
						'text-light' => __( 'Light', 'dentalia' ),
						'text-dark' => __( 'Dark', 'dentalia' ),
					)
				),			
				'option_section' => array(
			        'type' => 'section',
			        'label' => __( 'Settings' , 'dentalia' ),
			        'hide' => true,
			        'fields' => array(
						'display_feeatured' => array(
							'type' => 'checkbox',
							'label' => __( 'Display featured image', 'dentalia' ),
							'default' => true,
						),					
						'display_excerpt' => array(
							'type' => 'checkbox',
							'label' => __( 'Display excerpt', 'dentalia' ),
							'default' => true,
						),						       	
						'display_readmore' => array(
							'type' => 'checkbox',
							'label' => __( 'Display read more button', 'dentalia' ),
							'default' => true,
						),
					    'readmore_text' => array(
					        'type' => 'text',
					        'label' => __('Button text', 'dentalia'),
					        'default' => 'Read more'
					    ),
						'display_icon' => array(
							'type' => 'select',
							'label' => __( 'Icon position', 'dentalia' ),
							'default' => 'on-image',
							'options' => array(
								'on-image' => __( 'On featured image', 'dentalia' ),
								'in_title' => __( 'Next to page title', 'dentalia' ),
							),					
						),					    
						'option_carousel' => array(
					        'type' => 'section',
					        'label' => __( 'Carousel' , 'dentalia' ),
					        'hide' => true,
					        'fields' => array(
								'autoplay' => array(
									'type' => 'checkbox',
									'label' => __( 'Enable autoplay', 'dentalia' ),
									'default' => false,
								),
								'navigation_carousel' => array(
									'type' => 'select',
									'label' => __( 'Navigation', 'dentalia' ),
									'default' => 'dots',
									'options' => array(
										'dots' => __( 'Dots', 'dentalia' ),
										'arrows_top' => __( 'Arrows on top', 'dentalia' ),
										'arrows_bottom' => __( 'Arrows on bottom', 'dentalia' ),
										'none' => __( 'None', 'dentalia' ),
									),					
								),									
					        ),
					    ),    
			        ),
			    ),
			    'style_section'  => array(
			        'type' => 'section',
			        'label' => __( 'Style' , 'dentalia' ),
			        'hide' => true,
			        'fields' => array(
						'title_hover_color' => array(
							'type' => 'select',
							'label' => __( 'Title hover color', 'dentalia' ),
							'default' => 'primary',
							'options' => array(
								'primary' => __( 'Main theme color', 'dentalia' ),
								'secondary' => __( 'Secondary theme color', 'dentalia' ),
								'tertiary' => __( 'Tertiary theme color', 'dentalia' ),	
								'black' => __( 'Dark', 'dentalia' ),	
								'white' => __( 'Light', 'dentalia' ),
							),					
						),			        	
						'bg_color' => array(
					        'type' => 'color',
					        'label' => __( 'Background color', 'dentalia' ),
					        'default' => ''
					    ),
					    'bg_opacy' => array(
					        'type' => 'slider',
					        'label' => __( 'Background color opacity', 'dentalia' ),
					        'default' => 100,
					        'min' => 1,
					        'max' => 100,
					        'integer' => true,
					    ),				    
						'image_overlay' => array(
							'type' => 'select',
							'label' => __( 'Image overlay', 'dentalia' ),
							'default' => 'overlay-none',
							'options' => array(
								'overlay-none' => __( 'None', 'dentalia' ),
								'overlay-black' => __( 'Darken', 'dentalia' ),	
								'overlay-white' => __( 'Lighten', 'dentalia' ),
								'overlay-primary' => __( 'Main theme color', 'dentalia' ),	
								'overlay-secondary' => __( 'Secondary theme color', 'dentalia' ),	
								'overlay-tertiary' => __( 'Tertiary theme color', 'dentalia' ),
								'overlay-greyscale' => __( 'Greyscale', 'dentalia' ),
							),					
						),
						'image_overlay_hover' => array(
							'type' => 'select',
							'label' => __( 'Image overlay on hover', 'dentalia' ),
							'default' => 'overlay-hover-none',
							'options' => array(
								'overlay-hover-none' => __( 'None', 'dentalia' ),
								'overlay-hover-black' => __( 'Darken', 'dentalia' ),	
								'overlay-hover-white' => __( 'Lighten', 'dentalia' ),
								'overlay-hover-primary' => __( 'Main theme color', 'dentalia' ),	
								'overlay-hover-secondary' => __( 'Secondary theme color', 'dentalia' ),	
								'overlay-hover-tertiary' => __( 'Tertiary theme color', 'dentalia' ),
								'overlay-hover-greyscale' => __( 'Greyscale', 'dentalia' ),
								// 'overlay-hover-blur' => __( 'Blur', 'dentalia' ),
							),					
						),						
						'scale_efect' => array(
							'type' => 'select',
							'label' => __( 'Scale image on hover', 'dentalia' ),
							'default' => 'scale-zoomin',
							'options' => array(
								'scale-none' => __( 'None', 'dentalia' ),
								'scale-zoomin' => __( 'Zoom in', 'dentalia' ),	
								'scale-zoomout' => __( 'Zoom out', 'dentalia' ),
							),					
						),
						'hover_resize' => array(
							'type' => 'checkbox',
							'label' => __( 'Enlarge on hover', 'dentalia' ),
							'default' => false,
						),						
					),
			    ),			    
			),
			plugin_dir_path(__FILE__)
		);
	}

    function get_template_name($instance) {
         return 'orion_featured_pages-template';
    }
	function get_template_dir($instance) {
	    return 'tpl';
	}
    function get_style_name($instance) {
        return '';
    }
}

siteorigin_widget_register('orion_featured_pages', __FILE__, 'orion_featured_pages');