<?php

/*
Widget Name: (OrionThemes) Icon With Text
Description: Displays Icon with some text
Author: OrionThemes
Author URI: http://orionthemes.com
*/

class orion_icon_text_w extends SiteOrigin_Widget {

	function __construct() {
		$main_theme_color = orion_get_theme_option_css('main_theme_color', '#00BCD4' );

		parent::__construct(
			'orion_icon_text_w',
			__('(OrionThemes) Icon With Text', 'dentalia'),
			array(
				'description' => __('A customizable icon with text widget.', 'dentalia'),
				'panels_groups' => array('dentalia'),
				'panels_icon' => 'orion dashicons dashicons-visibility',
			),
			array(

			),
			array(
    
				'icon_repeater' => array(
			        'type' => 'repeater',
			        'label' => __( 'Add Icon with text' , 'dentalia' ),
			        'item_name'  => __( 'Click to add an Icon', 'dentalia' ),
			        'item_label' => array(
			            'selector'     => "[id*='icon_title']",
			            'update_event' => 'change',
			            'value_method' => 'val'
			        ),
		        	'fields' => array(
						'the_icon' => array(
						    'type' => 'icon',
						    'label' => __('Select an icon', 'dentalia'),
						),			        		
					    'icon_title' => array(
					        'type' => 'text',
					        'label' => __('Icon Title', 'dentalia'),
					        'default' => ''
					    ),
						'description' => array(
					        'type' => 'textarea',
					        'label' => __( 'Description', 'dentalia' ),
					        'rows' => 4
					    ),
					    'icon_link' => array(
					        'type' => 'link',
					        'label' => __('Destination URL', 'dentalia'),
					        'description' => __('Optionally add a link', 'dentalia'),
					    ),					    
						'icon_color' => array(
					        'type' => 'color',
					        'label' => __( 'Icon color', 'dentalia' ),
					        'default' => '#fff'
					    ),			    
						'icon_bg_color' => array(
					        'type' => 'color',
					        'label' => __( 'Icon container background', 'dentalia' ),
					        'default' => $main_theme_color,
					    ),		    		    
					),
		        ),
		        'per_row' => array(
					'type' => 'select',
					'label' => __('Elements per row', 'dentalia'),	
				    'options' => array(
						'1'	=> '1',
				    	'2'	=> '2',
			            '3'	=> '3',
			            '4'	=> '4',
		       		),
				    'default' => 1,
		       	),
		        'style' => array(
					'type' => 'select',
					'label' => __('Widget Style', 'dentalia'),	
				    'options' => array(
						'short'	=> __('Icon Aside', 'dentalia'),
				    	'long'	=> __('Title on top', 'dentalia'),
				    	'icon-top'	=> __('Large icon on top', 'dentalia'),
		       		),
				    'default' => 'short',
		       	),
		        'icon_style' => array(
					'type' => 'select',
					'label' => __('Icon Container', 'dentalia'),	
				    'options' => array(
						'circle' => __('Circle', 'dentalia'),
				    	'square'	=> __('Square', 'dentalia'),
				    	'simple'	=> __('none', 'dentalia'),
		       		),
				    'default' => 'square',		
		       	),	
		        'text_style' => array(
					'type' => 'select',
					'label' => __('Text color', 'dentalia'),	
				    'options' => array(
				    	'text-default'	=> __('Default', 'dentalia'),
						'text-light'	=> __('Light', 'dentalia'),
				    	'text-dark'	=> __('Dark', 'dentalia'),
		       		),
				    'default' => 'text-default',		
		       	),	
			    'bottom_margin' => array(
			        'type' => 'slider',
			        'label' => __( 'Bottom Margin', 'dentalia' ),
			        'default' => 36,
			        'min' => 0,
			        'max' => 120,
			        'integer' => true
			    )		       			       		       			        
			),
			plugin_dir_path(__FILE__)
		);
	}

    function get_template_name($instance) {
         return 'orion_icon_text_w-template';
    }
	function get_template_dir($instance) {
	    return 'tpl';
	}
    function get_style_name($instance) {
        return '';
    }
}

siteorigin_widget_register('orion_icon_text_w', __FILE__, 'orion_icon_text_w');