<?php

/*
Widget Name: (OrionThemes) Icon
Description: Display social media and other icons.
Author: OrionThemes
Author URI: http://orionthemes.com
*/

class orion_icon_w extends SiteOrigin_Widget {

	function __construct() {

		parent::__construct(
			'orion_icon_w',
			__('(OrionThemes) Icon', 'dentalia'),
			array(
				'description' => __('Display social media and other icons.', 'dentalia'),
				'panels_groups' => array('dentalia'),
				'panels_icon' => 'orion dashicons dashicons-twitter',
			),
			array(

			),
			array(
			    'title' => array(
			        'type' => 'text',
			        'label' => __('Widget Title', 'dentalia'),
			    ),	
				'icon_repeater' => array(
			        'type' => 'repeater',
			        'label' => __( 'Add Icon' , 'dentalia' ),
			        'item_name'  => __( 'Click to add an Icon', 'dentalia' ),
			        'item_label' => array(
			            'selector'     => "[id*='icon_title']",
			            'update_event' => 'change',
			            'value_method' => 'val'
			        ),
			        'fields' => array(				
					    'icon' => array(
					        'type' => 'text',
					        'label' => __( 'Icon Title', 'dentalia' ),
							'default' => __('Icon', 'dentalia'),
					    ),
					    'url' => array(
					        'type' => 'link',
					        'label' => __('Destination URL', 'dentalia'),
					    ),
					    'new_tab' => array(
					        'type' => 'checkbox',
					        'label' => __( 'Open in a new window', 'dentalia' ),
					        'default' => false,
					    ),

					    'icon' => array(
					        'type' => 'icon',
					        'label' => __('Select Icon', 'dentalia'),
					    ),
						'icon_color' => array(
					        'type' => 'color',
					        'label' => __( 'Icon Color', 'dentalia' ),
					        'default' => '',
						),
					),
				),

				'style_section' => array(
			        'type' => 'section',
			        'label' => __( 'Style' , 'dentalia' ),
			        'hide' => true,
			        'fields' => array(	

					    'icons_type' => array(
					        'type' => 'select',
					        'label' => __( 'Icon Style', 'dentalia' ),
					        'default' => 'btn-empty',
					        'options' => array(
					            'btn-flat' => __( 'Flat', 'dentalia' ),
					            'btn-wire' => __( 'Wire', 'dentalia' ),
					            'btn-empty' => __( 'Empty', 'dentalia' ),
					        ),
					    ),
					    'icon_color' => array(
					        'type' => 'select',
					        'label' => __( 'Icon Color', 'dentalia' ),
					        'default' => 'btn',
					        'options' => array(
					            'btn' => __( 'Default', 'dentalia' ),
					            'btn btn-c1' => __( 'Main Theme Color', 'dentalia' ),
					            'btn btn-c2' => __( 'Secondary Theme Color', 'dentalia' ),
					            'btn btn-c3' => __( 'Tertiary Theme Color', 'dentalia' ),
					            'btn btn-blue' => __( 'Blue', 'dentalia' ),
					            'btn btn-green' => __( 'Green', 'dentalia' ),
					            'btn btn-pink' => __( 'Pink', 'dentalia' ),
					            'btn btn-orange' => __( 'Orange', 'dentalia' ),
					            'btn btn-black' => __( 'Black', 'dentalia' ),
					            'btn btn-white' => __( 'White', 'dentalia' ),
					        ),
					    ),
					    'icon_size' => array(
					        'type' => 'select',
					        'label' => __( 'Icon Size', 'dentalia' ),
					        'default' => 'btn-md',
					        'options' => array(
					        	'btn-xs' => __( 'Tiny', 'dentalia' ),
					            'btn-sm' => __( 'Small', 'dentalia' ),
					            'btn-md' => __('Normal', 'dentalia'),
					            'btn-lg' => __('Large', 'dentalia'),
					        ),
					    ),				    
					    'icon_style' => array(
					        'type' => 'select',
					        'label' => __( 'Rounding', 'dentalia' ),
					        'default' => '',
					        'options' => array(
					            '' => __( 'Slightly Rounded', 'dentalia' ),
					            'btn-round' => __( 'Completely Rounded', 'dentalia' ),
					        ),
					    ),
					),
				),
			),	
			plugin_dir_path(__FILE__)
		);
	}

    function get_template_name($instance) {
         return 'orion_icon_w-template';
    }
	function get_template_dir($instance) {
	    return 'tpl';
	}
    function get_style_name($instance) {
        return '';
    }
}

siteorigin_widget_register('orion_icon_w', __FILE__, 'orion_icon_w');