<?php

/*
Widget Name: (OrionThemes) Responsive video
Description: Add Video from Youtube, Vimeo, ...
Author: OrionThemes
Author URI: http://orionthemes.com
*/

class orion_responsive_video_w extends SiteOrigin_Widget {

	function __construct() {
		parent::__construct(
			'orion_responsive_video_w',
			__('(OrionThemes) Responsive Video', 'dentalia'),
			array(
				'description' => __('Add Video from Youtube or Vimeo.', 'dentalia'),
				'panels_groups' => array('dentalia'),
				'panels_icon' => 'orion dashicons dashicons-format-video',
			),
			array(

			),
			array(
			    'video_url' => array(
			        'type' => 'link',
			        'label' => __('Paste a link from Youtube or Vimeo:', 'dentalia'),
			        'default' => '',
			    ),
				'lightbox_options' => array(
			        'type' => 'section',
			        'label' => __( 'Lightbox options' , 'recycle' ),
			        'hide' => true,
			        'fields' => array(
						'lightbox' => array(
							'type' => 'checkbox',
							'label' => __( 'Open in lightbox', 'recycle' ),
							'default' => false,
						), 
					    'image' => array(
					        'type' => 'media',
					        'label' => __( 'Video image', 'recycle'  ),
					        'choose' => __( 'Choose image', 'recycle' ),
					        'update' => __( 'Upload image', 'recycle' ),
					        'fallback' => true
					    ),
					    'play_icon' => array(
					        'type' => 'select',
					        'label' => __( 'Display a play icon on the image?', 'recycle' ),
					        'default' => 'text-light',
					        'options' => array(
					        	'text-light' => __( 'Light', 'recycle' ),
					            'text-dark' => __( 'Dark', 'recycle' ),
					            'primary-color' => __( 'Main Theme Color', 'recycle' ),
					            'secondary-color' => __( 'Secondary Theme Color', 'recycle' ),
					            'tertiary-color' => __( 'Tertiary Theme Color', 'recycle' ),
					            '' => __('No Icon', 'recycle'),
					        ),
					    ),					    
			        ),	
				),			        
			),	    				
			plugin_dir_path(__FILE__)
		);
	}

    function get_template_name($instance) {
         return 'orion_responsive_video_w-template';
    }
	function get_template_dir($instance) {
	    return 'tpl';
	}
    function get_style_name($instance) {
        return '';
    }
}

siteorigin_widget_register('orion_responsive_video_w', __FILE__, 'orion_responsive_video_w');