<?php

/*
Widget Name: (OrionThemes) Team members
Description: With optional department filter.
Author: OrionThemes
Author URI: http://orionthemes.com
Widget URI: http://orionthemes.com
*/

function orion_get_department_array() { 
	$all_departments = array();
	$all_departments['all'] = 'All';
	$taxonomy = 'department';
	$terms = get_terms();
	foreach ($terms as $key => $term) {
		if ($term->taxonomy == 'department') {
			$slug = $term->slug;
			$cat_title = $term->name;
			$all_departments[$slug] = $cat_title;
		}
	}
	return  $all_departments;
}

function orion_team_limit_array(){
	$select = array();
    for($i=1; $i < 25; $i++) { 
		$select[$i] = $i;
	}
	return $select;
}

class orion_team_w extends SiteOrigin_Widget {

	function __construct() {

		parent::__construct(
			'orion_team_w',
			__('(OrionThemes) Team members', 'dentalia'),
			array(
				'description' => __('Displays team members in a grid or carousel with multiple options.', 'dentalia'),
				'panels_groups' => array('dentalia'),
				'panels_icon' => 'orion dashicons dashicons-groups'
			),
			array(

			),
			array(
			    'title' => array(
			        'type' => 'text',
			        'label' => __('Widget Title', 'dentalia'),
			    ),
				'category_option' => array(
					'type' => 'select',
					'label' => __( 'Choose a department', 'dentalia' ),
					'description' => __( 'Select a department.', 'dentalia' ),
					'default' => 'all',
					'options' => orion_get_department_array()		
				),
			
				'display_layout' => array(
					'type' => 'select',
					'label' => __( 'Choose Layout', 'dentalia' ),
					'default' => 'carousel',
					'options' => array(
			            'carousel' => __( 'Carousel', 'dentalia' ),
			            'grid' => __( 'Grid', 'dentalia' ),
					)			            					
				),				
		        'per_row' => array(
					'type' => 'select',
					'label' => __('Elements per row', 'dentalia'),	
				    'options' => array(
						'1'	=> '1',
				    	'2'	=> '2',
			            '3'	=> '3',
			            '4'	=> '4',
		       		),
				    'default' => 3,		
		       	),	       	
				'text_color' => array(
					'type' => 'select',
					'label' => __( 'Text color', 'dentalia' ),
					'default' => 'text-default',
					'options' => array(
						'text-default' => __( 'Default', 'dentalia' ),
						'text-light' => __( 'Light', 'dentalia' ),
						'text-dark' => __( 'Dark', 'dentalia' ),
					)
				),
				'option_section' => array(
			        'type' => 'section',
			        'label' => __( 'Settings' , 'dentalia' ),
			        'hide' => true,
			        'fields' => array(
						'order_by' => array(
							'type' => 'select',
							'label' => __( 'Order members by', 'dentalia' ),
							'default' => 'title',
							'options' => array(
								'title' => __( 'Name', 'dentalia' ),								
								'date' => __( 'Date', 'dentalia' ),
								'modified' => __( 'Modified', 'dentalia' ),
							),					
						),
						'order' => array(
							'type' => 'select',
							'label' => __( 'Order members by', 'dentalia' ),
							'default' => 'ASC',
							'options' => array(
								'ASC' => __( 'Ascending', 'dentalia' ),								
								'DESC' => __( 'Descending', 'dentalia' ),
							),					
						),				        				
						'display_department' => array(
							'type' => 'checkbox',
							'label' => __( 'Display department', 'dentalia' ),
							'default' => true,
						),	
						'display_about' => array(
							'type' => 'checkbox',
							'label' => __( 'Display intro text', 'dentalia' ),
							'default' => false,
						),
						'display_social' => array(
							'type' => 'checkbox',
							'label' => __( 'Display social links', 'dentalia' ),
							'default' => true,
						),									    
						'option_carousel' => array(
					        'type' => 'section',
					        'label' => __( 'Carousel' , 'dentalia' ),
					        'hide' => true,
					        'fields' => array(
								'autoplay' => array(
									'type' => 'checkbox',
									'label' => __( 'Enable autoplay', 'dentalia' ),
									'default' => false,
								),
								'navigation_carousel' => array(
									'type' => 'select',
									'label' => __( 'Navigation', 'dentalia' ),
									'default' => 'arrows_top',
									'options' => array(
										'dots' => __( 'Dots', 'dentalia' ),
										'arrows_top' => __( 'Arrows on top', 'dentalia' ),
										'arrows_bottom' => __( 'Arrows on bottom', 'dentalia' ),
										'none' => __( 'None', 'dentalia' ),
									),					
								),									
					        ),
					    ), 						
													    
			        ),
			    ),    
			    'style_section'  => array(
			        'type' => 'section',
			        'label' => __( 'Style' , 'dentalia' ),
			        'hide' => true,
			        'fields' => array(
						'image_style' => array(
							'type' => 'select',
							'label' => __( 'Image style', 'dentalia' ),
							'default' => 'portrait',
							'options' => array(
								'orion_portrait' => __( 'Portrait', 'dentalia' ),								
								'orion_circle' => __( 'Circle', 'dentalia' ),
								'orion_square' => __( 'Square', 'dentalia' ),
								'orion_carousel' => __( '3:2 ratio', 'dentalia' ),
								'orion_tablet' => __( 'Original image ratio', 'dentalia' ),
							),					
						),				        	
						'hover_color' => array(
							'type' => 'select',
							'label' => __( 'Hover color', 'dentalia' ),
							'default' => 'primary',
							'options' => array(
								'primary' => __( 'Main theme color', 'dentalia' ),
								'secondary' => __( 'Secondary theme color', 'dentalia' ),
								'tertiary' => __( 'Tertiary theme color', 'dentalia' ),	
							),					
						),			        	
						'bg_color' => array(
					        'type' => 'color',
					        'label' => __( 'Background color', 'dentalia' ),
					        'default' => ''
					    ),
					    'bg_opacy' => array(
					        'type' => 'slider',
					        'label' => __( 'Background color opacity', 'dentalia' ),
					        'default' => 100,
					        'min' => 1,
					        'max' => 100,
					        'integer' => true,
					    ),

						'image_overlay' => array(
							'type' => 'select',
							'label' => __( 'Image overlay', 'dentalia' ),
							'default' => 'overlay-none',
							'options' => array(
								'overlay-none' => __( 'None', 'dentalia' ),
								'overlay-black' => __( 'Darken', 'dentalia' ),	
								'overlay-white' => __( 'Lighten', 'dentalia' ),
								'overlay-primary' => __( 'Main theme color', 'dentalia' ),	
								'overlay-secondary' => __( 'Secondary theme color', 'dentalia' ),	
								'overlay-tertiary' => __( 'Tertiary theme color', 'dentalia' ),
								'overlay-greyscale' => __( 'Greyscale', 'dentalia' ),
								// 'overlay-blur' => __( 'Blur', 'dentalia' ),
							),					
						),
						'image_overlay_hover' => array(
							'type' => 'select',
							'label' => __( 'Image overlay on hover', 'dentalia' ),
							'default' => 'overlay-hover-none',
							'options' => array(
								'overlay-hover-none' => __( 'None', 'dentalia' ),
								'overlay-hover-black' => __( 'Darken', 'dentalia' ),	
								'overlay-hover-white' => __( 'Lighten', 'dentalia' ),
								'overlay-hover-primary' => __( 'Main theme color', 'dentalia' ),	
								'overlay-hover-secondary' => __( 'Secondary theme color', 'dentalia' ),	
								'overlay-hover-tertiary' => __( 'Tertiary theme color', 'dentalia' ),
								'overlay-hover-greyscale' => __( 'Greyscale', 'dentalia' ),
								// 'overlay-hover-blur' => __( 'Blur', 'dentalia' ),
							),
						),						
						'scale_efect' => array(
							'type' => 'select',
							'label' => __( 'Scale image on hover', 'dentalia' ),
							'default' => 'scale-zoomin',
							'options' => array(
								'scale-none' => __( 'None', 'dentalia' ),
								'scale-zoomin' => __( 'Zoom in', 'dentalia' ),	
								'scale-zoomout' => __( 'Zoom out', 'dentalia' ),
							),					
						),
						'display_border' => array(
							'type' => 'checkbox',
							'label' => __( 'Display border', 'dentalia' ),
							'default' => true,
						),
					),
			    ),
			),	    	
			plugin_dir_path(__FILE__)
		);
	}

    function get_template_name($instance) {
         return 'orion_team_w-template';
    }
	function get_template_dir($instance) {
	    return 'tpl';
	}
    function get_style_name($instance) {
        return '';
    }
}

siteorigin_widget_register('orion_team_w', __FILE__, 'orion_team_w');